libreoffice (4:25.8.7-0ubuntu0.25.10.1) questing-security; urgency=medium

  * New upstream release (LP: #2150734)
  * SECURITY UPDATE: Heap Buffer Overflow in AgileEngine
    - CVE-2026-4430

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 12 May 2026 17:15:57 +0200

libreoffice (4:25.8.6-0ubuntu0.25.10.1) questing; urgency=medium

  * New upstream release (LP: #2145198)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 18 Mar 2026 16:52:19 +0100

libreoffice (4:25.8.5-0ubuntu0.25.10.1) questing; urgency=medium

  * New upstream release (LP: #2142139)

  [ Rene Engelhard ]
  * debian/control.in: mention libreoffice-gtk3 instead of
    libreoffice-gtk(2|3)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sun, 15 Feb 2026 10:16:09 +0100

libreoffice (4:25.8.4-0ubuntu0.25.10.1) questing; urgency=medium

  * New upstream release (LP: #2136097)

  [ Rene Engelhard ]
  * debian/rules: --with(out)-system-libxml default changed

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 13 Dec 2025 23:16:18 +0100

libreoffice (4:25.8.3-0ubuntu0.25.10.1) questing; urgency=medium

  * New upstream release (LP: #2131289)
  * debian/patches/disable-testDubiousArrayFormulasFODS-on-amd64v3.patch:
    - disable failing test on amd64v3

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 10 Nov 2025 10:10:45 +0100

libreoffice (4:25.8.2-0ubuntu0.25.10.1) questing; urgency=medium

  * New upstream release (LP: #2126932)
  * Bump yaru source to "2025-09-07"

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 02 Oct 2025 12:22:43 +0200

libreoffice (4:25.8.2~rc1-1) experimental; urgency=medium

  * New upstream release candidate
    - fixes save/export directory preselection again ("with empty user
      profile") (closes: #1110923)

  * debian/rules: use backported libraries on trixie-backports instead
    of our copies
  * debian/watch: work around devscripts' #1112065 by hardcoding
    libreoffice in the download.documentfoundation.org URL; that's where
    they are anyway

 -- Rene Engelhard <rene@debian.org>  Thu, 18 Sep 2025 23:40:45 +0200

libreoffice (4:25.8.1-1) unstable; urgency=medium

  * LibreOffice 25.8.1 release (identical to rc1)

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Thu, 28 Aug 2025 17:41:51 +0200

libreoffice (4:25.8.1~rc1-0ubuntu1) questing; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 26 Aug 2025 07:56:16 +0200

libreoffice (4:25.8.1~rc1-1) experimental; urgency=medium

   * New upstream release candidate

 -- Rene Engelhard <rene@debian.org>  Tue, 26 Aug 2025 06:43:15 +0200

libreoffice (4:25.8.0-1) unstable; urgency=medium

  * LibreOffice 25.8.0 release (identical to rc4) 

  * debian/rules: use system-mdds/orcus again 

 -- Rene Engelhard <rene@debian.org>  Fri, 22 Aug 2025 13:33:08 +0200

libreoffice (4:25.8.0~rc4-2) unstable; urgency=medium

   * debian/patches/add-EUR-for-Bulgaria-Lew.diff: add Euro support for
     Bulgaria from libreoffice-25-8 branch (to-be 25.8.1)

 -- Rene Engelhard <rene@debian.org>  Wed, 13 Aug 2025 21:52:09 +0200

libreoffice (4:25.8.0~rc4-0ubuntu1) questing; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 14 Aug 2025 10:43:43 +0200

libreoffice (4:25.8.0~rc4-1) unstable; urgency=medium

  * New (unplanned) upstream release candidate

  * debian/rules:
    - don't put our internal java_websocket.jar into system-/usr/share/java
    - also move reportbuilder{,wizard}.jar and the js/bsh script provider
      jars into /usr/share/libreoffice proper (like all the other jars)

 -- Rene Engelhard <rene@debian.org>  Tue, 12 Aug 2025 13:44:49 +0200

libreoffice (4:25.8.0~rc3-0ubuntu1) questing; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 09 Aug 2025 13:06:34 +0200

libreoffice (4:25.8.0~rc2-0ubuntu1) questing; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 25 Jul 2025 14:59:36 +0200

libreoffice (4:25.8.0~rc3-1) unstable; urgency=medium

  * New upstream release candidate

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Fri, 08 Aug 2025 17:36:58 +0200

libreoffice (4:25.8.0~rc2-2) experimental; urgency=medium

  * debian/rules: temporarily use internal mdds/liborcus to get meaningful
    autopkgtest results and be able to upload to unstable after freeze 

 -- Rene Engelhard <rene@debian.org>  Mon, 04 Aug 2025 19:51:25 +0200

libreoffice (4:25.8.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate 

 -- Rene Engelhard <rene@debian.org>  Sun, 27 Jul 2025 21:57:54 +0200

libreoffice (4:25.8.0~rc1-2) experimental; urgency=medium

  * debian/rules:
    - add conditional for use of system-java-websocket 
    - allow mdds 3.1 (still mdds-3.0.pc)

 -- Rene Engelhard <rene@debian.org>  Fri, 11 Jul 2025 19:21:31 +0200

libreoffice (4:25.8.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/patches/we-dont-have-the-needed-fonts.diff: (tempoarily) disable
    VclComplexTextTest, testTdf154104 until we find out what's wrong (too
    old Noto Arabic?)

  * debian/rules:
    - disable -qt5
    - remove USE_GSTREAMER=n setting on build-indep since it somehow also
      affects the AVMEDIA conditional which makes build-indep builds loose
      the gallery sound files (closes: #1108832), and move the gstreamer -dev
      packages from B-D-A to B-D consequently
    - add conditional for use of system-java-websocket 

 -- Rene Engelhard <rene@debian.org>  Mon, 07 Jul 2025 17:39:32 +0200

libreoffice (4:25.8.0~beta1-1) experimental; urgency=medium

  * New upstream beta release

  * debian/patches/apparmor-allow-local-override.diff: include if exists
    local/ profile (closes: #1106045)
  * debian/patches/apparmor-thunderbird.diff: allow read in .thunderbird
    for profiles.ini and cert9.db
  * debian/patches/disable-flaky-tests.diff: remove test_tdf145158 here ...
  * debian/patches/fix-tests.diff: ... and add upstream fix

  * debian/rules, debian/libuno-salhelpergcc3-3.symbols.in: add new @PRIVATE_1.0
    symbol for salhelper and new libreoffice-salhelper-private-abi virtual
    package (as for sal)
  * debian/rules:
    - add Build-Depends: on libcrypt-dev (closes: #1106997)

 -- Rene Engelhard <rene@debian.org>  Mon, 09 Jun 2025 23:53:24 +0200

libreoffice (4:25.8.0~alpha1-2) experimental; urgency=medium

  * debian/rules:
    - explicitly export LANG=C.UTF-8 in debian/rules and go sure and run
      xmllint with --encode UTF-8 (otherwise fcfg_langpack_*.xcu and/or
      main.xcd end up broken (no idea why this breaks now, though...)

 -- Rene Engelhard <rene@debian.org>  Sun, 11 May 2025 14:14:03 +0200

libreoffice (4:25.8.0~alpha1-1) experimental; urgency=medium

  * New upstream snapshot
    - fixes build with zlib-ng (closes: #1088403)

  * debian/rules:
    - remove bookworm-backports handling, add trixie-backports
    - disable dwz, breaks now and didn't have big effect anyway
  * debian/control*.in, debian/*.preinst.in: remove bookworm->trixie Pre-Depends:
    and preinsts
  * debian/libuno-sal3t64.symbols: ... move
  * debian/libuno-sal3t64.symbols.in: ... here. Add Depends on
    libreoffice-sal-private-abi (= @UREPACKAGEVERSION@) for (symver)@PRIVATE*
  * debian/control.ure.in: add Provides: for above

 -- Rene Engelhard <rene@debian.org>  Sun, 11 May 2025 00:07:19 +0200

libreoffice (4:25.2.5-0ubuntu1) questing; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 17 Jul 2025 14:49:04 +0200

libreoffice (4:25.2.5~rc2-0ubuntu1) questing; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 14 Jul 2025 12:03:04 +0200

libreoffice (4:25.2.5~rc1-0ubuntu1) questing; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 30 Jun 2025 09:36:39 +0200

libreoffice (4:25.2.4~rc3-0ubuntu1) questing; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 05 Jun 2025 13:02:11 +0200

libreoffice (4:25.2.3-0ubuntu1) questing; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 05 May 2025 10:10:44 +0200

libreoffice (4:25.2.3-2) unstable; urgency=medium

  * debian/patches/avmedia-qt-use-gstreamer-frame-grabber-by-default.diff:
    revert (for now), actually FTBFS

 -- Rene Engelhard <rene@debian.org>  Sun, 04 May 2025 07:34:39 +0200

libreoffice (4:25.2.3-1) unstable; urgency=medium

  * debian/patches/avmedia-qt-use-gstreamer-frame-grabber-by-default.diff:
    more qt6 video fixes, from libreoffice-25-2 branch

  * LibreOffice 25.2.3 final (identical to rc2)

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Thu, 01 May 2025 20:06:05 +0200

libreoffice (4:25.2.3~rc2-1) experimental; urgency=medium

  * New upstream release candidate
    - Reverts "tdf#165228 Don't reuse previous path in save dialog" which was
      added in 25.2.2 (closes: #1101920)

 -- Rene Engelhard <rene@debian.org>  Thu, 24 Apr 2025 20:41:34 +0200

libreoffice (4:25.2.3~rc1-2) experimental; urgency=medium

  * debian/rules:
    - add Build-Conflicts: gpg-from-sq [$(OOO_CHECK_ARCHS)] <!nocheck>, since
      xmlsecurity_signing fails with gpg being gpg-from-sq

 -- Rene Engelhard <rene@debian.org>  Sun, 13 Apr 2025 22:38:50 +0200

libreoffice (4:25.2.3~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/patches/apparmor-updates.diff: 
    - also allow 7 digits in profile, thanks
      Matija Nalis <mnalis-debianbug@voyager.hr> for the patch
      (closes: #1090814)
    - allow /etc/paperspecs (used by paperconf) (closes: #1100930)
  * debian/po:
    - add ca.po (closes: #1102089)

 -- Rene Engelhard <rene@debian.org>  Fri, 11 Apr 2025 15:35:51 +0200

libreoffice (4:25.2.2-0ubuntu1) plucky; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 31 Mar 2025 15:02:39 +0200

libreoffice (4:25.2.2-1) unstable; urgency=medium

  * LibreOffice 25.2.2 final release (identical to rc2)

  * debian/patches/revert-858c452e5e6b7acad6932df7d1cd2f0950d47f33.diff:
    as name says, from libreoffice-25-2 branch to fix some --convert-to
    for Word issues 
  * debian/patches/qt-avmedia-handle-null-media-player.diff: backport
    from libreoffice-25-2 branch to fix pptx with youtube links crashing

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Wed, 26 Mar 2025 17:38:59 +0100

libreoffice (4:25.2.2~rc2-0ubuntu1) plucky; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sun, 23 Mar 2025 13:32:52 +0100

libreoffice (4:25.2.2~rc2-1) experimental; urgency=medium

  * New upstream release candidate
    - fixes CVE-2025-2866

  * debian/patches/disable-tdf163105-tests-due-to-old-amiri.diff: patch two
    tests relying on newer amiri font out (see also below)

  * debian/rules:
    - ENABLE_CPDB=n on bookworm-backports, since libcpdb-frontend-dev
      doesn't exist in bookworm
    - bump fonts-hosny-amiri build-dep to (>= 1.000), except on
      bookworm-backports where bookworm only has 0.113. Patch the two affected
      vcl_pdfexport2 tests out for bookworm-backports
      (disable-tdf163105-tests-due-to-old-amiri.diff)
  * debian/po:
    - add ar.po from Maytham Alsudany <maytham@debian.org>
      (closes: #1100369) 
    - add pt.po from Américo Monteiro <a_monteiro@gmx.com>
      (closes: #1100358)
    - add cs.po from Miroslav Kure <kurem@upcase.inf.upol.cz>
      (closes: #1100376)
    - add pt_BR.po from Paulo Henrique de Lima Santana <phls@debian.org>
    - add nl.po from Frans Spiesschaert <Frans.Spiesschaert@yucom.be>
    - merge improvements for de.po from
      Helge Kreutzmann <debian@helgefjell.de> (closes: #1100570)
    - add fr.po from Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>
      (closes: #1100609)
    - add gl.po from Parodper <parodper@gmail.com>

 -- Rene Engelhard <rene@debian.org>  Sat, 22 Mar 2025 10:31:23 +0100

libreoffice (4:25.2.2~rc1-0ubuntu1) plucky; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sun, 09 Mar 2025 19:51:22 +0100

libreoffice (4:25.2.2~rc1-1) experimental; urgency=medium

  * New upstream release candidate

 -- Rene Engelhard <rene@debian.org>  Fri, 07 Mar 2025 22:02:58 +0100

libreoffice (4:25.2.1-3) unstable; urgency=medium

  * debian/patches/system-colamd.diff: restore usage of system-colamd
    for now internal lpsolve
  * debian/patches/poppler-25.02.diff: fix *runtime* with poppler 25.02

  * debian/rules:
    - build-depend on libsuitesparse-dev also on internal lpsolve case
    - move liblpsolve55.so into -calc{,-nogui}; only libsolverlo.so
      (in -calc{,-nogui}) needs it
  * debian/control.in: add Replaces: to libreoffice-calc{,-nogui} to
    libreoffice-core{,-nogui} (<< 4:25.2.1-3~)

 -- Rene Engelhard <rene@debian.org>  Thu, 06 Mar 2025 17:41:13 +0100

libreoffice (4:25.2.1-2) unstable; urgency=medium

  * debian/rules:
    - actually do not set file:///etc/libreoffice/registry in
      CONFIGURATION_LAYERS at all. Does not what one expects... Rely on
      the /usr/lib/libreoffice/share/registry/main.xcd ->
      /etc/libreoffice/registry/main.xcd symlink
    - install oo-ldap.xcd.sample oo-ad-ldap.xcd.sample symlinks into
      /usr/lib/libreoffice/share/registry
  * debian/libreoffice-l10n.preinst.in:
    - try to rmdir /etc/libreoffice/registry/res if existing as cleanup

 -- Rene Engelhard <rene@debian.org>  Thu, 27 Feb 2025 21:02:59 +0100

libreoffice (4:25.2.1-0ubuntu1) plucky; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 27 Feb 2025 08:58:35 +0100

libreoffice (4:25.2.1-1) unstable; urgency=medium

  * LibreOffice 25.2.1 release (identical to rc2)

  * upload to unstable

  * debian/control.lang.in: also add Pre-Depends: on -common for -l10n-*
    (closes: #1098913)
  * debian/rules:
    - guard extra ENABLE_KF5=y setting for bookworm-backports with ifeq
      so that we don't set them on indep builds

 -- Rene Engelhard <rene@debian.org>  Wed, 26 Feb 2025 15:47:40 +0100

libreoffice (4:25.2.1~rc2-0ubuntu1) plucky; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 24 Feb 2025 12:09:43 +0100

libreoffice (4:25.2.1~rc2-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/patches/disable-flaky-tests.diff: disable sw.SwXAutoTextGroup (for
    now)

  * fix up config file handling/registry handling. (overzealous move to /etc
    and ucf handling).
    Don't mark files only intended for registration of the component and do not
    have stuff which the user can/should sensibly edit out of ucf:
    - debian/libreoffice-common.ucf, debian/rules: remove everything except
      main.xcd as an ucf-managed conffile
    - debian/*.ucf: remove for everything except -common (see above)
    - debian/*.preinst.in: ucfr --force --purge for the above, also in install
      case if the files exists due to intermediate removal of the package in
      upgrades
    - debian/control.*in: add various Pre-Depends: ucf and update Conflicts:.
      Since the Conflicts: above do not ensure a working ordering, add
      Pre-Depends: libreoffice-common (>= 4:25.2.1~rc1-3~), too (basically
      approved on #debian-devel)
    - debian/libreoffice-common.maintscript: symlink_to_dir for
      /usr/lib/libreoffice/registry
    - debian/patches/split-evoab.diff, patches/split-sdbc-firebird-mariadb.diff:
      merge into ...
    - debian/patches/splits-adapt-registry.diff: ... here. Add hsqldb.xcu
    - debian/rules:
      + install new hsqldb.xcu into -sdbc-hsqldb
      + add /etc/libreoffice/registry as second search location to
        CONFIGURATION_LAYERS instead of overwriting
        /usr/lib/libreoffice/share/registry with it

  * debian/rules:
    - move armhf away from full make check, in consistency with the other
      32bit archs
  * debian/tests/control: disable build-needed tests again...
  * debian/tests/uicheck-xmlsecurity, debian/tests/control.in: add initial
    uicheck-xmlsecurity autopkgtest, commented out for now
  * debian/control.in: add Replaces: libreoffice-common (= 4:24.8.5-1)
    in -sdbc-hsqldb, see 4:24.8.4-2s changelog

 -- Rene Engelhard <rene@debian.org>  Sun, 23 Feb 2025 21:08:03 +0100

libreoffice (4:25.2.1~rc1-0ubuntu1) plucky; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 10 Feb 2025 08:48:48 +0100

libreoffice (4:25.2.1~rc1-2) experimental; urgency=medium

  * debian/rules:
    - fix -B builds, only add share/wordbook/xy.dic to -l10n-xy.install
      if actually present 

 -- Rene Engelhard <rene@debian.org>  Sat, 08 Feb 2025 09:24:51 +0100

libreoffice (4:25.2.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate
    - fixes CVE-2025-1080

  * debian/rules:
    - cleanup '/usr/lib/libreoffice/share/wordbook':
      + create empty /usr/lib/libreoffice/share/wordbook/common, now supposed
        to be there
      + install en-US.dic to -common and {en-GB,en-US,sl,hu_AkH11}.dic to
        their respective packages.
      + Don't install duplicates of technical.dic
    - be strict in which libfbclient2 we allow by forcing <<
      in shlibs.local
  * debian/libreoffice-sdbc-firebird.bug-script.in: add again, firebird actually
    is available only with Experimental features enabled (again, since some time)
  * debian/control.in, debian/control.firebird.in: add "(embedded)" to the
    -sdbc-firebird (related) descriptions to make clear this is embedded and
    connection to a remote firebird
  * debian/control.in: add "embedded" to -sdbc-hsqldbs short Descripton to
    make it more clear

 -- Rene Engelhard <rene@debian.org>  Fri, 07 Feb 2025 15:32:48 +0100

libreoffice (4:25.2.0~rc3-2) experimental; urgency=medium

  * debian/rules:
    - deduct firebirdX.Y-sever-core version from fb_config --version 

 -- Rene Engelhard <rene@debian.org>  Sat, 25 Jan 2025 22:16:38 +0100

libreoffice (4:25.2.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate 

 -- Rene Engelhard <rene@debian.org>  Fri, 24 Jan 2025 18:10:57 +0100

libreoffice (4:25.2.0~rc3-0ubuntu1) plucky; urgency=mediums

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 24 Jan 2025 14:00:52 +0100

libreoffice (4:25.2.0~rc2-0ubuntu1) plucky; urgency=medium

  * New upstream release candidate
  * Usage of "Source xxx Pro" fonts was replaced upstream, drop our patches
  * Build with firebird4.0

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 20 Jan 2025 12:27:45 +0100

libreoffice (4:25.2.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - revert "temporarily disable qt6-multimedia on arm64"
    - build completeley with clang on i386 (closes: #1092206)

 -- Rene Engelhard <rene@debian.org>  Sun, 12 Jan 2025 22:22:09 +0100

libreoffice (4:25.2.0~rc1-4) experimental; urgency=medium

  * debian/rules: oops, explicitely --disable-qt6-multimedia, the default
    upstream actually is to enable it

 -- Rene Engelhard <rene@debian.org>  Tue, 31 Dec 2024 00:09:54 +0100

libreoffice (4:25.2.0~rc1-3) experimental; urgency=medium

  * debian/rules: temporarily disable qt6-multimedia on arm64 to get it
    built there now that qt6-multimedia is blocked in the jpeg-xl transition
    and ffmpeg arm64 FTBFS...

 -- Rene Engelhard <rene@debian.org>  Mon, 30 Dec 2024 13:55:43 +0100

libreoffice (4:25.2.0~rc1-2) experimental; urgency=medium

  * debian/patches/disable-uitest-xmlsecurity-gpg.diff: as name says;
    until we find out why it works locally but not on the buildds
    (unshare?)

 -- Rene Engelhard <rene@debian.org>  Sun, 29 Dec 2024 20:51:01 +0100

libreoffice (4:25.2.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate
    - fixes CVE-2024-12426

 -- Rene Engelhard <rene@debian.org>  Fri, 20 Dec 2024 06:28:43 +0100

libreoffice (4:25.2.0~beta1-2) experimental; urgency=medium

  * debian/patches/skia-loongarch64-lasx.diff: fix build of skia
    on loong64 (missing _lasx files compiled)
  * debian/patches/moreIconsDialog-accesses-internet.diff: update
    and simplify
  * debian/patches/fix-32bits-test-build.diff: as name says

  * debian/control.gtk3.in: make libreofficekit-dev-gtk arch-dep again
    (for now) since it contians .gir which is supposed to be in an arch-dep
    package and dh_girepository fails otherwise on -A where .typelib is not
    present

 -- Rene Engelhard <rene@debian.org>  Sun, 08 Dec 2024 20:14:52 +0100

libreoffice (4:25.2.0~beta1-1) experimental; urgency=medium

  * New upstream beta release

  * debian/patches/disable-flaky-tests.diff: revert disabling from alpha1-1,
    fixed upstream

  * debian/rules:
    - don't set BUILD_PLASMA=n on build-indep builds if
      PLASMA_ARCHITECTURE=all

 -- Rene Engelhard <rene@debian.org>  Thu, 05 Dec 2024 20:22:25 +0100

libreoffice (4:25.2.0~alpha1-1) experimental; urgency=medium

  * New upstream alpha release
    - fixes CVE-2024-12425

  * debian/patches/disable-flaky-tests.diff: disable
    SwTiledRenderingTest, testStatusBarPageNumber for now.
  * debian/patches/riscv-disable-NaN-test.diff: remove ...
  * debian/patches/riscv-nan-tests-configure-option.diff: ... and add this
    from https://gerrit.libreoffice.org/c/core/+/174801

  * debian/control.lokit.in: make libreofficekit-dev Arch: all
  * debian/rules, debian/control.gtk3.in, debian/control.lokit.in,
    debian/control.sdk.in: split LibreOfficeKitGtk.h (and the .gir) into new
    libreofficekit-dev-gtk so it's not magically vanishing from
    libreofficekit-dev when Gtk3 was disabled at some point in time but is more
    prominent. 
    Make new libreofficekit-dev-gtk depend on libgtk-3-dev instead of
    suggesting it and depend on libreofficekitgtk. Make libreofficekit-dev
    suggest the new libreofficekit-dev-gtk
  * debian/rules:
    - enable tl langpack
    - temporarily use internal lpsolve
    - PLASMA_VERSION=6; disable -kf5, keep -qt5 enabled, though
    - use new --disable-nan-tests on riscv64
  * debian/rules, debian/control.plasma.in: make -plasma Arch: all
    (except on bookworm-backports)

 -- Rene Engelhard <rene@debian.org>  Sat, 23 Nov 2024 19:59:13 +0100

libreoffice (4:24.8.4~rc2-0ubuntu1) plucky; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 13 Dec 2024 15:32:27 +0100

libreoffice (4:24.8.4~rc1-0ubuntu1) plucky; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sun, 01 Dec 2024 19:56:51 +0100

libreoffice (4:24.8.3-1) unstable; urgency=medium

  * New upstream release
    - fixes SyntaxWarning: invalid escape sequence '\P' in officehelper.py
      (closes: #1082775)
    - (closes: #1064494) by reverting the 24-2 changes causing this

 -- Rene Engelhard <rene@debian.org>  Sun, 10 Nov 2024 15:24:11 +0100

libreoffice (4:24.8.3-0ubuntu1) plucky; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 08 Nov 2024 18:37:40 +0100

libreoffice (4:24.8.2-1) unstable; urgency=medium

  * LibreOffice 24.8.2 final (indentical to rc1...) 

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Fri, 27 Sep 2024 17:38:49 +0200

libreoffice (4:24.8.2~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules: add some explanatory comments for AUTOPKGTEST_BUILD
  * debian/tests/control.in:
    - make testtools-bridgetest-without-java Architecture: %OOO_NOJAVA_ARCHS%
      only run on archs where Java is disabled (also because on amd64 it fails
      with a full with-Java build tree, like with build-needed tests)
    - enable most of the build-needed tests: fake-build-tests,
      cppunit-subsequentcheck, slowcheck, unitcheck (amd64 only)

 -- Rene Engelhard <rene@debian.org>  Mon, 23 Sep 2024 18:53:14 +0200

libreoffice (4:24.8.2-0ubuntu1) oracular; urgency=medium

  * New upstream release
  * Update "Noto Sans" and "Source Sans" patches

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 25 Sep 2024 10:55:01 +0200

libreoffice (4:24.8.1-2) unstable; urgency=medium

  * upload to unstable

  * debian/rules: don't use <!nocheck> on libcppunit-dev build-dep
    for now since it's (per default) assumed to be there by configure
    used in build-indep and that fails with -Pnocheck 

 -- Rene Engelhard <rene@debian.org>  Sun, 22 Sep 2024 23:40:32 +0200

libreoffice (4:24.8.1-1) experimental; urgency=medium

  * New upstream release

  * debian/rules: split check target into build-tests and check.
    Set BUILD_ONLY_EN_US=y for the build inside autopkgtest
  * debian/control.in, debian/fake-build-tests: handle new autopkgtest
    which does a nocheck build by running build-tests before attempting to
    run the tests. Subject to timeout at 150m/160m. Change mkdir -ps to
    touch since that also works
  * debian/tests/{cppunit-subsequent,slow,unit}check: skip if
    fake-build-tests get timeout (aka skipped)
  * debian/rules, debian/control.{mysql,}.in: ensure the mysql test is
    always last

 -- Rene Engelhard <rene@debian.org>  Wed, 18 Sep 2024 18:14:37 +0200

libreoffice (4:24.8.1-0ubuntu1) oracular; urgency=medium

  * New upstream release
  * debian/rules: Switch to plasma 6 support

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 09 Sep 2024 14:58:23 +0200

libreoffice (4:24.8.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/patches/jdk-minimal-and-zero-paths.diff: add new
    minimal/zero JDK paths as of OpenJDK 21, thanks
    WANG Xuerui <i.salsa@xen0n.name> (closes: #1079438).
    Keep Java disabled on armel though for consistency with armhf
  * debian/patches/moreIconsDialog-accesses-internet.diff: fix logic
  * debian/tests/control.in: go sure and add needs-internet restriction here,
    too (it runs a additiondialog UI test)

 -- Rene Engelhard <rene@debian.org>  Fri, 23 Aug 2024 16:44:00 +0200

libreoffice (4:24.8.0-0ubuntu2) oracular; urgency=medium

  * Pass CFLAGS, CXXFLAGS, CPPFLAGS, and LDFLAGS to external projects
    (LP: #2073128)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 03 Sep 2024 15:38:30 +0200

libreoffice (4:24.8.0-0ubuntu1) oracular; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 12 Aug 2024 11:03:15 +0200

libreoffice (4:24.8.0~rc3-2) experimental; urgency=medium

  * debian/rules: add armel to JAVA_BRIDGE_BROKEN_ARCHS

  * merge from Ubuntu:
  [ Rico Tzschichholz ]
    - debian/patches/fix-32bit-gtk4-a11y-build.diff: as name says

 -- Rene Engelhard <rene@debian.org>  Fri, 09 Aug 2024 17:35:40 +0200

libreoffice (4:24.8.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/patches/gcc-14-armhf-registers.diff: remove explicit mention
    of r0 and r1 registers to fix build with gcc 14 on armhf

 -- Rene Engelhard <rene@debian.org>  Thu, 08 Aug 2024 23:35:34 +0200

libreoffice (4:24.8.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - don't manually install LibreofficeKit/ includes anymore
  * debian/control.sdk.in:
    - make -dev recommend librofficekit-dev since it's now installed upstream
      in the SDK
  * debian/libreofficekit-dev.links: add symlink from (new) SDK location to
    /usr/include/LibreOfficeKit directly (as already packaged)

 -- Rene Engelhard <rene@debian.org>  Fri, 26 Jul 2024 16:32:04 +0200

libreoffice (4:24.8.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate
    - removes ability to trust not validated macro signatures in high security
      (CVE-2024-6472)
    - does not trust signatures in "repair mode" anymore (CVE-2024-7788)

  * debian/patches/add-access2base-doc.diff: update; remove embedded jquery
    and add src=/usr/share/javascript/jquery/jquery.min.js (closes: #1073808)
 
  * debian/control.in:
    - make python3-access2base Suggest libjs-jquery for above

  * debian/rules:
    - go sure and build-depend on libgtk-4-dev >= 4.10 (needed for
      accessibility stuff for example) on sid
    - build-depend on pkgconf instead of pkg-config
    - don't recommend versioned kf5 kio in -kf6

 -- Rene Engelhard <rene@debian.org>  Mon, 08 Jul 2024 20:08:05 +0200

libreoffice (4:24.8.0~beta1-1) experimental; urgency=medium

  * debian/patches/no-check-if-root.diff: remove; we set RRR: no anyways
    nowadays

  * New upstream beta release
    - fixes CVE-2024-5261: TLS certificate are not properly verified when
      utilizing LibreOfficeKit

  * debian/rules:
    - recommend kio >> 5.115.0-5 in -kf5
  * debian/rules, debian/control.sdk.in:
    - move addon_console.py* to -dev-common and add Replaces: to -dev

libreoffice (4:24.2.5-0ubuntu2) oracular; urgency=medium

  * Use gcc 13 on armhf (LP: #2074375)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 05 Aug 2024 19:18:21 +0200

libreoffice (4:24.2.5-0ubuntu1) oracular; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sun, 14 Jul 2024 19:31:32 +0200

libreoffice (4:24.2.5-1) unstable; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - go sure and build-depend on libgtk-4-dev >= 4.10 (needed for
      accessibility stuff for example) on sid

 -- Rene Engelhard <rene@debian.org>  Fri, 21 Jun 2024 17:51:16 +0200

libreoffice (4:24.2.4-0ubuntu1) oracular; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 05 Jun 2024 08:26:06 +0200

libreoffice (4:24.2.4-1) unstable; urgency=medium

  * New upstream release
    - fixes CVE-2024-5261: TLS certificate are not properly verified when
      utilizing LibreOfficeKit

  * merge from Ubuntu:
    [ Rico Tzschichholz ]
    Make sure ucf is available before installing python3-uno

 -- Rene Engelhard <rene@debian.org>  Tue, 11 Jun 2024 20:02:11 +0200

libreoffice (4:24.8.0~alpha1-4) experimental; urgency=medium

  * debian/control.kf6.in:
    - really change amd64 to %OOO_ARCHS% here

 -- Rene Engelhard <rene@debian.org>  Sat, 25 May 2024 12:53:29 +0000

libreoffice (4:24.8.0~alpha1-3) experimental; urgency=medium

  * debian/rules:
    - remove amd64 restriction from kf6 build; now available
      (almost) everywhere
    - don't loose -qt5 if PLASMA_VERSION=6 as we might need it for -kf5
      still; don't make that depends on the plasma version
    - fix install if PLASMA_VERSION=X but there's no kdeXbe (yet)

 -- Rene Engelhard <rene@debian.org>  Fri, 17 May 2024 22:30:36 +0200

libreoffice (4:24.8.0~alpha1-2) experimental; urgency=medium

  * debian/patches/junit-subsequentcheck-standalone.diff,
    debian/patches/odk-build-examples-standalone.diff: fix to apply
  * debian/patches/fix-odk-build-examples-on-32bit.diff: as name says,
    from gerrit 

  * debian/tests/control: add libreoffice-math to uicheck-sws Depends 
  * debian/rules:
    - enable libreoffice-kf6 (only on amd64 for now)

 -- Rene Engelhard <rene@debian.org>  Thu, 16 May 2024 17:12:45 +0200

libreoffice (4:24.8.0~alpha1-1) experimental; urgency=medium

  * debian/patches/riscv-disable-NaN-test.diff: disable the NaN test on riscv;
    see below

  * New upstream alpha release

  * debian/rules:
    - use system-rhino
    - move bsh (and the new rhino) build-dep to Build-Depends-Indep: and
      build rhino and bsh scripting only in build-indep (and disable bsh/rhino
      for the "make check" configure call, too)
    - remove obsolete dh_testroot in clean target
  * debian/*.maintscript: long obsolete, remove
  * debian/libreoffice-calc.{templates,config,postinst.in},
    debian/po/*: add debconf note on riscv64 about NaN passing and Calc
    maybe having problems (in the same idea as and under anticipation of
    https://gerrit.libreoffice.org/c/core/+/165391 and until that one is in
    upstream)
  * debian/rules: add build-depends on po-debconf
  * debian/rules, debian/control.plasma.in:
    - prepare -plasma to say Kf6 (add @PLASMA_KF_VERSION@)

 -- Rene Engelhard <rene@debian.org>  Tue, 14 May 2024 17:44:05 +0000

libreoffice (4:24.2.4~rc2-0ubuntu1) oracular; urgency=medium

  * New upstream release candidate
  * debian/control.in: Make sure ucf and awk are available before installing
    python3-uno

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 05 Jun 2024 08:26:06 +0200

libreoffice (4:24.2.4~rc1-0ubuntu1) oracular; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 22 May 2024 10:21:15 +0200

libreoffice (4:24.2.3-2) unstable; urgency=medium

  * debian/patches/use-PyConfig.diff: backport from master;
    fix build with python 3.13
  * debian/patches/reviewed-breakIterator-customizations.diff: backport
    from master; add tests to what is expected (and needed for the following
    patch to apply)
  * debian/patches/breakiterator-updates.diff: backport from master; re-bases
    the BreakIterator rule customizations on top of a clean copy of the ICU
    74.2 rules. Fixes build with ICU 74 and 75
  * debian/patches/icu-74.1.diff: new unicode stuff for ICU 74+, for
    completeness

  * debian/rules:
    - don't loose -qt5 if PLASMA_VERSION=6 as we might need it for -kf5
      still; don't make that depends on the plasma version
    - fix install if PLASMA_VERSION=X but there's no kdeXbe (yet)
    - recommend kio >> 5.115.0-5 in -kf5
  * debian/rules, debian/control.plasma.in:
    - prepare -plasma to say Kf6 (add @PLASMA_KF_VERSION@)

 -- Rene Engelhard <rene@debian.org>  Wed, 22 May 2024 16:18:58 +0000

libreoffice (4:24.2.3-1) unstable; urgency=medium

  * LibreOffice 24.2.3 final release (identical to rc2)

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Mon, 29 Apr 2024 21:36:22 +0200

libreoffice (4:24.2.3~rc2-0ubuntu1) oracular; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 30 Apr 2024 08:08:15 +0200

libreoffice (4:24.2.3~rc2-1) experimental; urgency=medium

  * New upstream release candidate

 -- Rene Engelhard <rene@debian.org>  Mon, 29 Apr 2024 20:53:47 +0200

libreoffice (4:24.2.3~rc1-3) unstable; urgency=medium

  * debian/rules:
    - revert bsh build change from -2 for now

 -- Rene Engelhard <rene@debian.org>  Wed, 17 Apr 2024 21:07:49 +0200

libreoffice (4:24.2.3~rc1-2) unstable; urgency=medium

  * upload to unstable

  * debian/rules:
    - move bsh build-dep to Build-Depends-Indep: and build rhino
      and bsh scripting only in build-indep

 -- Rene Engelhard <rene@debian.org>  Wed, 17 Apr 2024 17:40:08 +0200

libreoffice (4:24.2.3~rc1-1) experimental; urgency=medium

  * New upstream release candidate
    - fixes CVE-2024-3044 ("Graphic on-click binding allows unchecked script
      execution")

  * debian/rules:
    - more target fixes to make Rules-Requires-Root: no work
      + make binary-{arch,indep} depend on prepare and build-{arch,indep} since
        with Rules-Requires-Root: no "build{-*}" is not calld anymore itself
      + fix install-common dependencies (needs to depend on
        $(STAMP_DIR)/build-{arch,indep}; only depend on build-arch/build-indep
        on binary-arch/binary-indep builds)
    - check for binary-indep instead of build-indep for arch-indep builds as
      Rules-Requires-Root: no builds now (only) call binary-indep without
      build-indep before
    - remove firebird/KDE workerounds in install-common again; works without
      with binary-indep/Rules-Requires-Root: no now
    - remove extra individual Suggests on -{hyphenation,spellcheck}-xy
    - fix the ability to ignore make check errors;
      don't let the value be overridden by the list of archs where
      "smoketest-only" is fatal
  * debian/control.in: set Rules-Requires-Root: no
  * debian/control.lang.in: add Suggests on -{hyphenation,spellcheck}-xy
    unconditionally for all languages

 -- Rene Engelhard <rene@debian.org>  Thu, 11 Apr 2024 19:59:04 +0200

libreoffice (4:24.2.2-0ubuntu1) noble; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 02 Apr 2024 12:47:39 +0200

libreoffice (4:24.2.2-3) unstable; urgency=medium

  * debian/rules: make -commons -mysql and -firebird Breaks: << 4:24.2.2-2~
    to fix it in backports
  * debian/rules: guard firebird_sdbc.xcu install in install-common;
    only try if it exists (as the qt/kde stuff) and add comment to the
    build-indep check why

 -- Rene Engelhard <rene@debian.org>  Sun, 31 Mar 2024 12:25:17 +0200

libreoffice (4:24.2.2-2) unstable; urgency=medium

  * debian/patches/split-sdbc-firebird-mariadb.diff: create extra
    {mysqlc,firebird_sdbc}.xcd as for evoab. Otherwise configuration
    parts of it ends up (or not in indep builds) in libreoffice-commons
    main.xcd
  * debian/rules: 
    - install new {mysqlc,firebird_sdbc}.xcd into the respective
      packages
    - build-depend on liborcus-dev (>> 0.19.2-3+b1) as for libxmlsec1-dev
  * debian/libreoffice-sdbc-{mysql,firebird}.ucf: add 
  * debian/control.in: add Breaks: -sdbc-{mysql,firebird} (<< 4:24.2.2-2)
    to libreoffice-common

 -- Rene Engelhard <rene@debian.org>  Sat, 30 Mar 2024 09:30:30 +0000

libreoffice (4:24.2.2-1) unstable; urgency=medium

  * LibreOffice 24.2.2 release (identical to rc2)

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Thu, 28 Mar 2024 08:28:58 +0000

libreoffice (4:24.2.2~rc2-2) experimental; urgency=medium

  * debian/rules:
    - explicitely --disable-* GTK3/dbus/gpgmepp if not to be enabled 
    - fix DBUS disabling for build-indep

 -- Rene Engelhard <rene@debian.org>  Wed, 27 Mar 2024 17:23:35 +0000

libreoffice (4:24.2.2~rc2-0ubuntu1) noble; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 22 Mar 2024 23:31:51 +0100

libreoffice (4:24.2.2~rc2-1) experimental; urgency=medium

  * debian/patches/python-3.12.diff: add from libreoffice-24-2 branch;
    only a warning here but probably senseful to have anyway

  * New upstream release candidate

  * debian/rules:
    - build-depend on python3-setuptools instead of
      python3-distutils (closes: #1065893) 
    - move images_helpimg.zip to libreoffice-help-common
    - don't make build: call build-arch and build-indep manually but
      depend on it (and $(STAMP_DIR)/prepare)
    - reduce some build-deps to make transitions easier with all the
      build-deps we have:
      + move fontforge to B-D-I and rebuild opens___.ttf as before. Make
        arch-dep builds use fonts-opensymbol and it's copy as it's already
        there.
        Implement build profiles to change behaviour here should there
        ever be need for it (e.g. if one needed a new version of
        opensymbol for the tests and it's not available (yet)).
      + aggressively disable unneeded stuff for build-indep builds we don't
        need for generating the indep stuff. Move their build deps to
        Build-Depends-Arch:. Work around install failures for the KDE stuff in
        install-common
    - move install of the lokit and gir stuff from install-common to
      install-arch, both libreofficekit-dev and gir1.2-lokdocview-0.1
      are arch-dep anyway
  * debian/control.in: add replaces to libreoffice-common on
    libreoffice-help-common for the images_helpimg.zip move

 -- Rene Engelhard <rene@debian.org>  Fri, 22 Mar 2024 20:37:15 +0100

libreoffice (4:24.2.2~rc1-2) experimental; urgency=medium

  * debian/patches/fix-32bit-build.diff: as name says; from upstream
    gerrit

 -- Rene Engelhard <rene@debian.org>  Fri, 08 Mar 2024 10:13:05 +0100

libreoffice (4:24.2.2~rc1-1) experimental; urgency=medium

  * New upstream release candidate

 -- Rene Engelhard <rene@debian.org>  Thu, 07 Mar 2024 16:55:54 +0100

libreoffice (4:24.2.1-4) unstable; urgency=medium

  * debian/rules:
    - re-enable libreoffice-evolution; rm evolocal.odb if evolution is
      disabled, though (otherwise ends up in -common) (closes: #1065461)
  * debian/control.evolution.in:
    - add Replaces: libreoffice-common (= 4:24.2.1-3)

 -- Rene Engelhard <rene@debian.org>  Tue, 05 Mar 2024 07:05:44 +0100

libreoffice (4:24.2.1-3) unstable; urgency=medium

  * don't pass -Nlibreoffice-evolution to debhelper, it's disabled everywhere 

 -- Rene Engelhard <rene@debian.org>  Mon, 04 Mar 2024 06:17:06 +0100

libreoffice (4:24.2.1-2) unstable; urgency=medium

  * debian/rules: temporarily disable libreoffice-evolution

 -- Rene Engelhard <rene@debian.org>  Sun, 03 Mar 2024 18:47:08 +0000

libreoffice (4:24.2.1-0ubuntu1) noble; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 29 Feb 2024 17:41:12 +0100

libreoffice (4:24.2.1-1) unstable; urgency=medium

  * LibreOffice 24.2.1 final (identical to rc2)

  * upload to unstable

  * debian/rules:
    - also suggest libreoffice-{hyphenation,spellcheck}-tr in -l10n-tr
      and libreoffice-{hyphenation,spellcheck}-fr in -l10n-fr (as for fi)
    - revert building with -O2 on riscv64. Makes payloadNaN test pass on
      boards which failed before, so it's probably not a correct result.
      upstream makefile does -Os anyways
    - add some more safety nets for t64:
      - Build-Depend on dpkg-dev (>= 1.22.5) on affected archs
      - Build-Depend on libxmlsec1-dev (>= 1.2.39-5) on affected archs

 -- Rene Engelhard <rene@debian.org>  Wed, 28 Feb 2024 18:06:52 +0100

libreoffice (4:24.2.1~rc2-1) experimental; urgency=medium

  * New upstream release candidate 

 -- Rene Engelhard <rene@debian.org>  Sun, 25 Feb 2024 16:22:37 +0100

libreoffice (4:24.2.1~rc2-0ubuntu1) noble; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sun, 25 Feb 2024 20:55:58 +0100

libreoffice (4:24.2.1~rc1-0ubuntu1) noble; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 09 Feb 2024 17:30:21 +0100

libreoffice (4:24.2.0~rc3-0ubuntu1) noble; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sun, 28 Jan 2024 13:59:53 +0100

libreoffice (4:24.2.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - enable hy (Armenian) langpack
    - error out on bookworm-backports if we detect t64 packages. Mention
      needed revert 
    - fix to actually make parallel build/packaging of kf5/(upcoming) kf6
      work
    - micro-optimization: don't build-depend on default-jdk for architectures
      where Java is disabled
    - try building with -O2 on riscv64; the test bug is supposed to be fixed
      and since the latest gcc-13/binutils -O2 also links
  * debian/rules, debian/control.plasma.in: conditionalize -kfX Recommends

 -- Rene Engelhard <rene@debian.org>  Fri, 09 Feb 2024 17:01:49 +0100

libreoffice (4:24.2.0-3) experimental; urgency=medium

  * debian/rules:
    - stop running debian/rules control in the clean target again; otherwise
      we FTBFS due to control differences now on architectures where some stuff
      is disabled (and be it test-only build-deps) 

 -- Rene Engelhard <rene@debian.org>  Sat, 03 Feb 2024 08:41:32 +0100

libreoffice (4:24.2.0-2) experimental; urgency=medium

  * debian/patches/sw-do-not-require-cui.diff: do not require cui in sw, from
    upstream (closes: #1058653)

  * debian/rules:
    - don't create debian/control and debian/test/control but an intermediate
      control.new
    - run debian/rules control in the clean target again but don't directly
      overwrite debian/control - diff -u against control.new and warn instead 
  * debian/libuno*, debian/control.ure.in, debian/rules:
    Rename libraries for 64-bit time_t transition.

 -- Rene Engelhard <rene@debian.org>  Tue, 30 Jan 2024 21:04:30 +0000

libreoffice (4:24.2.0-1) unstable; urgency=medium

  * LibreOffice 24.2.0 final release

  * debian/patches/fix-riscv64-bridge.diff: as name says; more riscv64 bridge
    fixes from https://gerrit.libreoffice.org/c/core/+/160970

  * debian/control.lokit.in: add ${gir:Depends} and ${gir:Provides} to
    libreofficekit-dev 
  * debian/rules:
    - re-enable Java on riscv64 
    - build with --disable-split-debug on riscv64
    - stop running debian/rules control in the clean target; forbidden

 -- Rene Engelhard <rene@debian.org>  Sat, 27 Jan 2024 13:25:02 +0000

libreoffice (4:24.2.0~rc2-0ubuntu1) noble; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 11 Jan 2024 22:36:38 +0100

libreoffice (4:24.2.0~rc2-2) unstable; urgency=medium

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Sat, 13 Jan 2024 20:26:16 +0100

libreoffice (4:24.2.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - add junit-subsequentcheck after all the other tests, not before
    - also disable Java on riscv64 to get bridgetest pass.
      Now it fails on a new sal test in 7.6 which shows riscv64 doesn't have
      stuff defined in the architecture which libreoffice needs.
      Keep it allowed in Architecture: (for now), though.
  * debian/tests/control*in: adapt newlines accordingly 
  * debian/watch: watch rcs again 

 -- Rene Engelhard <rene@debian.org>  Thu, 11 Jan 2024 18:29:04 +0000

libreoffice (4:24.2.0~rc1-2) experimental; urgency=medium

  * debian/rules:
    - don't remove libforuilo.so in -core-nogui. (closes: #1059158)
      It's subsumed in libmerged on 64bit archs anyway which we definitely
      need to keep anyway (similar as libuuilo.so).
    - actually re-enable junit
  * debian/tests/control.junit.in: add missing newline 

 -- Rene Engelhard <rene@debian.org>  Mon, 01 Jan 2024 11:30:04 +0100

libreoffice (4:24.2.0~rc1-0ubuntu1) noble; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 21 Dec 2023 20:39:55 +0100

libreoffice (4:24.2.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - re-enable junit
  * debian/rules, debian/control.ure.in:
    - move java_websocket.jar from ure to ure-java

 -- Rene Engelhard <rene@debian.org>  Thu, 21 Dec 2023 18:06:42 +0100

libreoffice (4:24.2.0~beta1-1) experimental; urgency=medium

  * New upstream beta release

  * debian/tests/patches/odk-build-examples-standalone.diff: make apply again
  * debian/python3-uno.ucf: remove
  * debian/python3-uno.preinst.in: remove /etc/libreoffice/registry/pyuno.xcd -
    gone upstream (and was a noop before anyway)

 -- Rene Engelhard <rene@debian.org>  Sat, 09 Dec 2023 09:34:51 +0100

libreoffice (4:24.2.0~alpha1-1) experimental; urgency=medium

  * New upstream alpha release
    - Border line style control is now a11y accessible (closes: #870612)
    - fixes CVE-2023-6186: "Link targets allow arbitrary script execution"

  * debian/rules, debian/control.kf6.in: add initial support for kf6 backend
    added upstream (not enable yet obviously). Only build one of kf5/kf6 at a
    time since I guess we won't ship plasma 5 and plasma 6 in parallel
  * debian/rules:
    - enable the new atspi tests, add xvfb, xauth, dbus-x11
      and at-spi builddeps
    - temporarily disable junit, crashy
  * debian/tests/control*in, debian/rules:
    - split junit-subsequentcheck into extra control.junit.in

 -- Rene Engelhard <rene@debian.org>  Mon, 27 Nov 2023 19:25:26 +0100

libreoffice (4:7.6.4-0ubuntu3) noble; urgency=medium

  * debian/patches/icu-74.1.diff:
    - Allow build with ICU 74.1

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 20 Dec 2023 17:41:10 +0100

libreoffice (4:7.6.4-0ubuntu1) noble; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 07 Dec 2023 22:10:12 +0100

libreoffice (4:7.6.4~rc1-1) unstable; urgency=medium

  * New upstream release candidate 

 -- Rene Engelhard <rene@debian.org>  Thu, 30 Nov 2023 19:47:03 +0100

libreoffice (4:7.6.3-0ubuntu3) noble; urgency=medium

  * Still need fix-bridgetest.diff to skip failing float-compound
    bridgetest on ppc64el

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 25 Nov 2023 17:53:16 +0100

libreoffice (4:7.6.3-0ubuntu2) noble; urgency=medium

  * Drop fix-bridgetest.diff in favour of running
    testtools-bridgetest-with-java on amd64/arm64 only

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 24 Nov 2023 13:03:54 +0100

libreoffice (4:7.6.3-0ubuntu1) noble; urgency=medium

  * New upstream release
  * Keep java enabled on armhf, ppc64el and s390x

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 23 Nov 2023 12:47:23 +0100

libreoffice (4:7.6.3-2) unstable; urgency=medium

  * debian/rules:
    - ooops, revert unintended use of internal mdds, orcus

 -- Rene Engelhard <rene@debian.org>  Mon, 27 Nov 2023 19:15:44 +0100

libreoffice (4:7.6.3-1) unstable; urgency=medium

  * LibreOffice 7.6.3 final release (identical to rc2)

  * upload to unstable

  * debian/tests/testtools-bridgetest-with-java: re-gen config_host.mk if
    ENABLE_JAVA=n (testtools-bridgetest-without-java run before)
  * debian/rules:
    - revert back to using gnutls on bookworm-backports, librdf0-dev doesn't
      allow the ssl alternative yet...
    - add -fexcess-precision=fast to DEB_CFLAGS_MAINT_APPEND
      and (although supposedly no effect) DEB_CXXFLAGS_MAINT_APPEND since
      it seems it fixes the bridgetest problem on s390x/nojava;
      remove strict gcc-12/-13 build-dep on s390x again

 -- Rene Engelhard <rene@debian.org>  Mon, 27 Nov 2023 17:35:03 +0100

libreoffice (4:7.6.3~rc2-2) experimental; urgency=medium

  * debian/control.ure.in:
    - make ure-java actutally Architecture: %OOO_JAVA_ARCHS% 
  * debian/rules:
    - support nogir build profile
  * debian/control.gtk3.in: add Build-Profiles: <!nogir> 
  * debian/tests/control*in: update for no-Java builds
    - split testtools-bridgetest into with-java/without-java variants
    - add new %OOO_JAVA_AND_NOGUI_ARCHS%
    - make test-extensions-*, odk-build-examples-java
      Architecture: %OOO_JAVA_AND_NOGUI_ARCHS%
    - make sdk-complete %OOO_JAVA_ARCHS%

 -- Rene Engelhard <rene@debian.org>  Sun, 19 Nov 2023 13:15:15 +0000

libreoffice (4:7.6.3~rc2-1) experimental; urgency=medium

  * New upstream release candidate
    - fixes CVE-2023-6185: "Improper input validation enabling arbitrary Gstreamer
      pipeline injection"

  * debian/control*in:
    - add missing Build-Profiles: <!nopython>
    - add missing Build-Profiles: <!nojava>
  * debian/rules:
    - disable Java on ppc64el, s390x and armhf. Java bridge broken,
      works without Java
    - fix/improve no-Java builds:
      + don't try to install dbreport config modules into
        -uiconfig-report-builder if the report builder is disabled
      + switch OOO_BASE_ARCHS/OOO_REPORTBUILDER_ARCHS variables
        (build base on all architectures instead of Java architectures
        and report-builder-* only on archs where Java is enabled, not on
        "all base archs"); there's -sdbc-{mysql,postgresql,firebird} anyway
      + don't try to build Jar_{OOoRunner,test,ConnectivityTools} if Java is
        disabled as an extra safety net (instead of checking for junit only)
    - remove riscv64 from OOO_CHECK_ARCHS to run only the "smoketest tests"
    - bump libcmis build-dep to >= 0.6.1 
    - build against libcurl4-openssl-dev instead of gnutls

 -- Rene Engelhard <rene@debian.org>  Fri, 17 Nov 2023 07:05:17 +0100

libreoffice (4:7.6.3~rc1-0ubuntu2) noble; urgency=medium

  * Merge from debian

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 03 Nov 2023 18:05:23 +0100

libreoffice (4:7.6.3~rc1-2) experimental; urgency=medium

  * debian/rules:
    - readd fonts-crosextra-caladea build-dep; Cambria usage is back
  * debian/control.in:
    - duplicate Replaces: as Breaks: in -uiconfig-* (closes: #1055267)

 -- Rene Engelhard <rene@debian.org>  Fri, 03 Nov 2023 17:59:51 +0100

libreoffice (4:7.6.3~rc1-0ubuntu1) noble; urgency=medium

  * New upstream release candidate
  * debian/patches/fix-arm64-tests.diff:
    - Dropped while it got fixed upsteam

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 03 Nov 2023 08:39:14 +0100

libreoffice (4:7.6.3~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - re-enable cmis; bump libcmis build-dep to >= 0.6.0

 -- Rene Engelhard <rene@debian.org>  Fri, 03 Nov 2023 06:14:16 +0100

libreoffice (4:7.6.2-5) experimental; urgency=medium

  * oops, reupload with correct control 

 -- Rene Engelhard <rene@debian.org>  Tue, 31 Oct 2023 05:03:27 +0000

libreoffice (4:7.6.2-4) experimental; urgency=medium

  * debian/patches/patches/orcus-make-reference-resolver-available.diff: add
    from upstream master; fix tests with orcus 0.19

  * debian/rules:
    - bump gcc build-deps to gcc defaulting to --disable-s390-excess-float-precision
      on s390x - the bridge test fails otherwise (with-Java still fails,
      though...)
  * debian/control: regen with proper Bugs:, oops

 -- Rene Engelhard <rene@debian.org>  Mon, 30 Oct 2023 18:57:35 +0000

libreoffice (4:7.6.2-3) experimental; urgency=medium

  * debian/patches/kahansum-test-SSE2.diff: backport from upstream
    libreoffice-7-6 branch to fix test failure on !amd64

 -- Rene Engelhard <rene@debian.org>  Wed, 18 Oct 2023 20:45:52 +0200

libreoffice (4:7.6.2-2) experimental; urgency=medium

  * debian/rules:
    - allow liborcus 0.19, it's supposed to be API/ABI-compatible with 0.18

 -- Rene Engelhard <rene@debian.org>  Tue, 03 Oct 2023 14:13:35 +0200

libreoffice (4:7.6.2-1) experimental; urgency=medium

  * New upstream release

  * merge from Ubuntu:
    [ Rico Tzschichholz ]
    -  debian/rules: build with -ffp-contract=off on s390x, too

  * debian/patches/fix-ppc64el-bridges.diff: add from upstream gerrit
  * debian/rules:
    - go sure and add Build-Conflicts: against clang if arch is not in
      OOO_CLANG_ARCHS since ./configure will pick up an installed clang
      anyways otherwise
    - remove special-casing of using gcc-12 on s390x. While it fails with
      gcc 12 *and* 13 13 actually somehow has *lesser* failures, so just use
      that one

 -- Rene Engelhard <rene@debian.org>  Mon, 02 Oct 2023 21:53:56 +0200

libreoffice (4:7.6.2-0ubuntu1) mantic; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 22 Sep 2023 23:29:51 +0200

libreoffice (4:7.6.1~rc2-0ubuntu2) mantic; urgency=medium

  * autopkgtests: Skip one failing test on s390x

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 15 Sep 2023 07:39:03 +0200

libreoffice (4:7.6.1~rc2-0ubuntu1) mantic; urgency=medium

  * New upstream release candidate
  * Allow failing bridgetests on armhf/s390x
  * Skip failing float-compound bridgetest on arm/ppc64el/s390x
  * Fix StatisticalFunctionsTest::testStatisticalFormulasFODS on arm64
  * Build with -ffp-contract=off on s390x

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 11 Sep 2023 14:25:45 +0200

libreoffice (4:7.6.1~rc2-2) experimental; urgency=medium

  * merge from Ubuntu:
    [ Rico Tzschichholz ]
   - debian/rules: Fix move of
     /usr/lib/libreoffice/share/config/soffice.cfg/simpress
   - debian/tests/control: testtools-bridgetest requires default-jdk
   - debian/patches/fix-armhf-linker.diff:  Fix linking of libswlo.so
     on armhf

  * debian/tests/control.in: add ure-java and liblibreoffice-java to
    testtools-bridgetests' dependencies, too

 -- Rene Engelhard <rene@debian.org>  Mon, 11 Sep 2023 10:16:34 +0530

libreoffice (4:7.6.1~rc2-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - build with -ffp-contract=off on ppc64el 

 -- Rene Engelhard <rene@debian.org>  Thu, 07 Sep 2023 17:29:44 +0200

libreoffice (4:7.6.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - fix install of template(s) on bn-IN

 -- Rene Engelhard <rene@debian.org>  Wed, 23 Aug 2023 18:51:26 +0200

libreoffice (4:7.6.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/patches/fix-{riscv64,loong64}-bridges.diff: as name says; from
    upstream master 
  * debian/patches/curl-8.2.0.diff: add from upstream master; Adapt test
    code to cURL 8.2.0

 -- Rene Engelhard <rene@debian.org>  Tue, 08 Aug 2023 21:57:28 +0200

libreoffice (4:7.6.0~rc2-2) experimental; urgency=medium

  * debian/patches/fix-pdfexport-test.diff: add missing piece (as done
    in upstream libreoffice-7.6.0.2-buildfix1 tag) to fix pdfexport test  

  * debian/rules:
     - use gcc for skia on mipsel/mips64el, too

 -- Rene Engelhard <rene@debian.org>  Sat, 29 Jul 2023 10:47:21 +0200

libreoffice (4:7.6.0~rc2-1) experimental; urgency=medium

  [ Rene Engelhard ]
  * New upstream release candidate

  * debian/control.reportbuilder.in: also fix version in Replaces: here
    (closes: #1041899)
  * debian/watch: watch rcs again
  * debian/rules, debian/control.gtk4.in: move libavmediagtk.so to -gtk4
  
  [ merge from Ubuntu ]
  * debian/rules:
    - use gcc for skia on ppc64el for now

 -- Rene Engelhard <rene@debian.org>  Wed, 26 Jul 2023 20:19:42 +0200

libreoffice (4:7.6.0~rc1-2) experimental; urgency=medium

  [ merge from Ubuntu ]
  * debian/rules:
    + Use gcc-12 on s390x 
    + Build-dep on fonts-* regardless to provide a more complete testbed

  [ Rene Engelhard ]
  * debian/patches/dp_platform-riscv64-and-loongarch64.diff: actually make
    riscv64 and loongarch64 known to "the deployment"
  * debian/tests/patches/smoketest-disable-extension-tests.diff: run the smoketest
    also when extensions are disabled; we patch that out of the smoketest then
    anyway

  * debian/rules:
    - add more "no-make-check checks". sal, cppu(helper), comphelper, unoidl
    - build with noopt (aka -O0) on riscv64 (closes: #1039906)
    - force clang-14 | clang (<< 1:15~) on ppc64el for now
    - introduce new OOO_AUTOPKGTEST_ARCHS ("archs where autopkgtest
      theoretically are ran") and restrict the fonts-* build-deps to those
      (so that fonts-* needed in the uitests are there)
    - rm -f libdeploymentgui.so unconditionally for core-nogui; also remove when the
      arch is not in OOO_EXTENSIONS_ARCHS; also remove unopkg.bin and libunopkgapp.so
      from core if we built without extension support 
    - also force gcc-12 for i386

 -- Rene Engelhard <rene@debian.org>  Mon, 24 Jul 2023 20:33:16 +0000

libreoffice (4:7.6.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate 

  * debian/patches/we-dont-have-the-needed-fonts.diff: disable test which
    needs fonts neither provided in Debian (nor even upstream)
  * debian/patches/bash-completion-updates.diff: add pages to lowriters bash
    completion (closes: #1033186)
  * debian/temporarily-disable-test-metadata-test.diff: remove, apparently
    works now
  * debian/patches/fix-i386-build.diff: as name says, from upstream gerrit

  * debian/control.in:
    - fix version in Replaces: in -uiconfig-*
  * debian/rules:
    - use --disable-cve-tests on 32bit archs. Fails consistently there on one
      CVE which was a memory leak in tiff and a excpected failure here anyway.
      Fixed in tiff ages ago and we're not really supposed to test others' CVEs as
      we use external libs anyway
    - again run full make check on amd64/arm64/riscv64(!) (and armhf); make fatal
    - only run testtools' bridgetest, "smoketest" as smoketest and the pyuno
      tests on all architectures except amd64/amd64/riscv64/armhf
    - build-depend on libcppunit-dev on all archs
    - clean up some make-check-only Build-Depends(-Arch)
    - move impress' own soffice.cfg which didn't yet end up in
      uiconfig-impress actually there (e.g. layoutlist.xml, which is needed by
      Draw)
  * debian/tests/smoketest: run smoketest using make subsquentcheck in smoketest
  * debian/rules, debian/control.in: 
    - change fonts-liberation2 Build-Depends/Recommends in -common to
      fonts-liberation (>= 1:2)
    - change fonts-liberation2 Build-Depends to fonts-liberation (>= 1:2)

 -- Rene Engelhard <rene@debian.org>  Fri, 07 Jul 2023 19:25:47 +0200

libreoffice (4:7.6.0~beta1-3) experimental; urgency=medium

  * debian/patches/fix-arm64-tests.diff: as name says, from upstream
    libreoffice-7-6 branch
  * debian/source/include-binaries: add changed .emf files

  * debian/patches/adapt-for-new-carlito.diff: as name says; adapt two
    (and disable one for now since iit has calculated values..) test(s) which
    break with fonts-crosextra-carlito 20230309. Bump build-dependency.
    Revert all of this for bookworm-backports.

  * debian/rules:
    - restrict -2 changes to make test failures only fatal on release
      architectures + upcoming release architectures (like riscv64). 
      Still build and run the tests on all architectures.
  * debian/rules, debian/control.in: 
    - recommend fonts-liberation+fonts-liberation-sans-narrow instead of both
      fonts-liberation and fonts-liberation2; keep old recommends
      for bookworm-backports, thanks Fabian Greffrath for the MR

 -- Rene Engelhard <rene@debian.org>  Sat, 24 Jun 2023 00:01:05 +0200

libreoffice (4:7.6.0~beta1-2) experimental; urgency=medium

  * merge from Ubuntu:
    - Update tests/patches/testtools-standalone.diff 
  * debian/rules, debian/control.in:
    - remove version constraints on build-deps and pre-depends fullfillable
      since oldstable (or stable if oldstable didn't contain it even)
  * debian/rules:
    - make all architectures' make check fatal again based on discussion
      on #debian-release (especially needed to prevent riscv64 entering
      the archive with miserably failing the tests) 
    - also enable the junit tests on all architectures

 -- Rene Engelhard <rene@debian.org>  Sat, 10 Jun 2023 17:50:50 +0200

libreoffice (4:7.6.0~beta1-1) experimental; urgency=medium

  * New upstream beta release

  * debian/rules, debian/control.in, debian/tests/control.in,
    debian/tests/scriptforge-import: split scriptforge.py into a new
    python3-scriptforge and install to standard path as it (as for
    access2base) is supposed to be a import'able library
  * debian/rules: handle upstream feature to handle their coredumps with
    coredumpctl on test failures during tests. build-depend on
    add systemd <!nocheck>, systemd-coredump <!nocheck>, jq <!nocheck>
    on archs running the tests if USE_SYSTEMD=y (That one is off per default
    since it apparently doesn't work in chroots); add Build-Conflicts to
    systemd-coredump to not "accidentially" enable it somewhere
    to handle their coredumps with coredumpctl upstream
  * debian/rules:
    - enable gtk4 (at least for experimental for now to save NEW if we want
      to actually do it)
  * debian/rules, debian/control*.in:
    - remove UI related workarounds and split all the .xml/.ui into extra
      -uiconfig-xyz packages. Make impress-nogui depend on uiconfig-impress
      - and also draw depend on it in addition to -uiconfig-draw

 -- Rene Engelhard <rene@debian.org>  Fri, 09 Jun 2023 16:29:31 +0200

libreoffice (4:7.5.6~rc2-0ubuntu1) mantic; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 30 Aug 2023 17:13:07 +0200

libreoffice (4:7.5.6~rc1-0ubuntu1) mantic; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 16 Aug 2023 13:01:21 +0200

libreoffice (4:7.5.5-4) unstable; urgency=medium

  * debian/patches/fix-{riscv64,loong64,amd64}-bridges.diff: as name says; from
    upstream master 
  * debian/patches/curl-8.2.0.diff: add from upstream master; Adapt test
    code to cURL 8.2.0
  * debian/patches/fix-ccache-size-detection.diff: as name says; from upstream
    master

  * debian/rules:
    - fix install of template(s) on bn-IN

 -- Rene Engelhard <rene@debian.org>  Fri, 04 Aug 2023 23:03:41 +0200

libreoffice (4:7.5.5-0ubuntu1) mantic; urgency=medium

  * New upstream release
  * Drop missing fonts-* mitigations for pcc64el/s390x autopkgtests

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 27 Jul 2023 08:38:06 +0200

libreoffice (4:7.5.5-3) unstable; urgency=medium

  * debian/control.in:
    - add/update Replaces: in -draw/-draw-nogui:
      libreoffice-impress (<< 4:7.5.4~rc1-1), libreoffice-impress-nogui (<< 4:7.5.4~rc1-1)
      (closes: #1041837)

 -- Rene Engelhard <rene@debian.org>  Mon, 24 Jul 2023 22:17:40 +0200

libreoffice (4:7.5.5-2) unstable; urgency=medium

  * debian/rules:
    - also remove unopkg.bin and libunopkgapp.so from core if we built
      without extension support 
    - also force gcc-12 for i386

 -- Rene Engelhard <rene@debian.org>  Fri, 21 Jul 2023 19:39:14 +0200

libreoffice (4:7.5.5-1) unstable; urgency=medium

  * LibreOffice 7.5.5 final release (identical to rc2)

  [ merge from Ubuntu ]
  * debian/rules:
    + Use gcc-12 on s390x 
    + Build-dep on fonts-* regardless to provide a more complete testbed

  [ Rene Engelhard ]
  * debian/tests/patches/smoketest-disable-extension-tests.diff: run the smoketest
    also when extensions are disabled; we patch that out of the smoketest then
    anyway

  * debian/rules:
    - introduce new OOO_AUTOPKGTEST_ARCHS ("archs where autopkgtest
      theoretically are ran") and restrict the fonts-* build-deps to those
      (so that fonts-* needed in the uitests are there)
    - rm -f libdeploymentgui.so unconditionally for core-nogui; also remove when the
      arch is not in OOO_EXTENSIONS_ARCHS

 -- Rene Engelhard <rene@debian.org>  Thu, 20 Jul 2023 19:07:57 +0200

libreoffice (4:7.5.5~rc2-0ubuntu5) mantic; urgency=medium

  * debian/rules:
    - Drop misplaced $(TEST_TIMEOUT)s

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 17 Jul 2023 20:54:12 +0200

libreoffice (4:7.5.5~rc2-0ubuntu4) mantic; urgency=medium

  * debian/rules:
    - Allow smoketests to fail on s390x

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 17 Jul 2023 11:18:00 +0200

libreoffice (4:7.5.5~rc2-0ubuntu3) mantic; urgency=medium

  * Revert "Run make check on all supported archs as done for autopkgtests"
  * Skip selected tests on ppc64el

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sun, 16 Jul 2023 15:45:15 +0200

libreoffice (4:7.5.5~rc2-0ubuntu2) mantic; urgency=medium

  * debian/rules:
    - Run make check on all supported archs as done for autopkgtests

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 15 Jul 2023 13:24:50 +0200

libreoffice (4:7.5.5~rc2-0ubuntu1) mantic; urgency=medium

  * New upstream release candidate
  * Bump yaru source to "2023-07-04"
  * debian/patches/fix-g-ir-scanner-invocation.diff:
    - Fix g-ir-scanner call while building with glib-2.0 >= 2.77.0

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 12 Jul 2023 19:51:14 +0200

libreoffice (4:7.5.5~rc2-1) unstable; urgency=medium

  * New upstream release candidate 

  * debian/patches/we-dont-have-the-needed-fonts.diff: disable test which
    needs fonts neither provided in Debian (nor even upstream)
  * debian/patches/bash-completion-updates.diff: add pages to lowriters bash
    completion (closes: #1033186)
  * debian/patches/work-around-against-harfbuzz-API-break.diff: as name says;
    work around API break in Debians libharfbuzz-dev 8.0.0-1

  * debian/rules:
    - add more "no-make-check checks". sal, cppu(helper), comphelper, unoidl
    - build with noopt (aka -O0) on riscv64 (closes: #1039906)

 -- Rene Engelhard <rene@debian.org>  Tue, 11 Jul 2023 22:22:34 +0200

libreoffice (4:7.5.5~rc1-0ubuntu1) mantic; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 03 Jul 2023 21:23:56 +0200

libreoffice (4:7.5.5~rc1-2) experimental; urgency=medium

  * debian/rules:
    - actually enable cppunit also in the testtools/smoketest-only case
    - build some smoketest pre-requisites ourselves since they are not built
      even with module.allcheck (or .allbuild)
      in smoketest afterwards
    - build-depend on libcppunit-dev on all archs
    - clean up some make-check-only Build-Depends(-Arch)
    - also run the tests in pyuno since shipping a python3-uno which doesn't
      work is also bad
  * debian/rules, debian/tests/smoketest: run smoketest using make
    subsquentcheck in smoketest

 -- Rene Engelhard <rene@debian.org>  Sun, 02 Jul 2023 16:47:26 +0200

libreoffice (4:7.5.5~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - again run full make check on amd64/arm64/riscv64(!) (and armhf); make fatal
    - only run testtools' bridgetest and "smoketest" as smoketest on all
      architectures except amd64/amd64/riscv64/armhf

 -- Rene Engelhard <rene@debian.org>  Sat, 01 Jul 2023 15:15:30 +0000

libreoffice (4:7.5.4-4) unstable; urgency=medium

  * debian/patches/adapt-for-new-carlito.diff: as name says; adapt one
    (and disable one for now since it has calculated values..) test which
    break with fonts-crosextra-carlito 20230309. Bump build-dependency.
    Revert all of this for bookworm-backports.

  * debian/control.in:
    - fix version in Replaces: in -uiconfig-*
  * debian/rules:
    - use --disable-cve-tests on 32bit archs. Fails consistently there on one
      CVE which was a memory leak in tiff and a excpected failure here anyway.
      Fixed in tiff ages ago and we're not really supposed to test others' CVEs as
      we use external libs anyway
    - again run full make check on amd64/arm64/riscv64(!) (and armhf); make fatal
    - only run testtools' bridgetest, "smoketest" as smoketest and the pyuno
      tests on all architectures except amd64/amd64/riscv64/armhf
    - build-depend on libcppunit-dev on all archs
    - clean up some make-check-only Build-Depends(-Arch)
    - move impress' own soffice.cfg which didn't yet end up in
      uiconfig-impress actually there (e.g. layoutlist.xml, which is needed by
      Draw)
  * debian/tests/smoketest: run smoketest using make subsquentcheck in smoketest
  * debian/rules, debian/control.in: 
    - change fonts-liberation2 Build-Depends/Recommends in -common to
      fonts-liberation (>= 1:2)
    - change fonts-liberation2 Build-Depends to fonts-liberation (>= 1:2)

 -- Rene Engelhard <rene@debian.org>  Fri, 07 Jul 2023 19:25:47 +0200

libreoffice (4:7.5.4-3) unstable; urgency=medium

  * fix install-common target, don't try to move sidebarslidebackground.ui
    for -nogui (which doesn't exist yet at that time)

 -- Rene Engelhard <rene@debian.org>  Sun, 11 Jun 2023 23:13:45 +0200

libreoffice (4:7.5.4-2) unstable; urgency=medium

  * debian/rules:
    - make all architectures' make check fatal again based on discussion
      on #debian-release (especially needed to prevent riscv64 entering
      the archive with miserably failing the tests) 
    - also enable the junit tests on all architectures

 -- Rene Engelhard <rene@debian.org>  Sat, 10 Jun 2023 17:36:26 +0200

libreoffice (4:7.5.4-1) unstable; urgency=medium

  * LibreOffice 7.5.4 final release (identical to rc2)

  * upload to unstable 

  * debian/rules:
    - give up and don't remove ui files anymore in nogui for now; planned
      to be changed to shared packages later

 -- Rene Engelhard <rene@debian.org>  Mon, 05 Jun 2023 20:26:03 +0200

libreoffice (4:7.5.4~rc2-0ubuntu1) mantic; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 31 May 2023 16:24:24 +0200

libreoffice (4:7.5.4~rc2-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - don't remove tabviewbar.ui in -impress-nogui (closes: #1028290)

 -- Rene Engelhard <rene@debian.org>  Wed, 31 May 2023 19:14:16 +0200

libreoffice (4:7.5.4~rc1-4) experimental; urgency=medium

  * debian/rules:
    - fix duplicate ppc64el in clang (>= 8.0.1) build-dep causing it not
      ending up in the .dsc alltogether.
      Introduce new OOO_{,NO_}CLANG_ARCHS.
    - use the same architecture !-list for llvm, too

 -- Rene Engelhard <rene@debian.org>  Thu, 18 May 2023 21:34:31 +0200

libreoffice (4:7.5.4~rc1-3) experimental; urgency=medium

  * debian/rules:
    - micro-optimize freetype build-dep after the clang change in
      4:7.5.4~rc1-1:
      use OOO_LE_ARCHS for >= 2.8.1 and add any BE arch for >= 2.2.0
    - oops, set PACKAGE_GEN=y per default

 -- Rene Engelhard <rene@debian.org>  Thu, 18 May 2023 18:44:02 +0200

libreoffice (4:7.5.4~rc1-2) experimental; urgency=medium

  * oops, actually include tarballs/ 

 -- Rene Engelhard <rene@debian.org>  Thu, 18 May 2023 11:23:13 +0200

libreoffice (4:7.5.4~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules, debian/control.in:
    - move share/config/soffice.cfg/simpress/{layoutlist,objectlist,styles}.xml
      and share/config/modules/soffice.cfg/simpress/ui/sidebarslidebackground.ui
      from -impress to -draw since without them Draw doesn't start anymore
  * debian/control.postgresql.in:
    - depend on libreoffice-core-nogui | libreoffice-core (like the other
      -sdbc-*) (closes: #1034792)
  * debian/rules, debian/control*in:
    - don't package the gen vcl "plugin" on alpha and ia64
    - make libreoffice-core *depend* on -gtk3/-qt5/-kf5/-qt6 on alpha and
      ia64
    - thus we don't (need to) build skia on architectures not building gen,
      conditionalizing the clang build-dep (closes: #963109)

 -- Rene Engelhard <rene@debian.org>  Wed, 17 May 2023 18:31:27 +0200

libreoffice (4:7.5.4~rc1-0ubuntu1) mantic; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 17 May 2023 14:39:01 +0200

libreoffice (4:7.5.3-0ubuntu3) mantic; urgency=medium

  * Build with mdds 2.1 and orcus 0.18

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 08 May 2023 08:06:47 +0200

libreoffice (4:7.5.3-0ubuntu2) mantic; urgency=medium

  * debian/rules:
    - Fix move of modules/simpress/ui/sidebarslidebackground.ui

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 05 May 2023 08:18:45 +0200

libreoffice (4:7.5.3-0ubuntu1) mantic; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 01 May 2023 17:12:14 +0200

libreoffice (4:7.5.3~rc2-1) experimental; urgency=medium

  * New upstream release candidate 
    - fixes CVE-2023-2255 ("Remote documents loaded without prompt via IFrame")

 -- Rene Engelhard <rene@debian.org>  Sat, 29 Apr 2023 08:14:19 +0200

libreoffice (4:7.5.3~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules, debian/tests/*: don't fail if ulimit -c unlimited fails 
    (like in ci.d.n infrastructure after the bookworm upgrade...)

 -- Rene Engelhard <rene@debian.org>  Thu, 13 Apr 2023 21:45:01 +0200

libreoffice (4:7.5.2-0ubuntu1) lunar; urgency=medium

  * New upstream release
  * Install all yaru icon variants (LP: #2013122)
  * Bump yaru source to "2023-03-31"

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 31 Mar 2023 15:25:17 +0200

libreoffice (4:7.5.2~rc2-0ubuntu1) lunar; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 24 Mar 2023 18:16:59 +0100

libreoffice (4:7.5.2~rc2-1) experimental; urgency=medium

  * New upstream release candidate

 -- Rene Engelhard <rene@debian.org>  Fri, 24 Mar 2023 19:22:31 +0100

libreoffice (4:7.5.2~rc1-0ubuntu1) lunar; urgency=medium

  * New upstream release candidate
  * tests/patches/s390x-skip-tests.diff:
    - Skip four more failing tests on s390x

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 09 Mar 2023 21:29:44 +0100

libreoffice (4:7.5.2~rc1-1) experimental; urgency=medium

  * New upstream release candidate
    - fixes CVE-2023-0950 ("Array Index UnderFlow in Calc Formula Parsing")
    - fixes CVE-2023-1183 ("Arbitrary File Write in LibreOffice Base")

  * debian/rules:
    - actually generate ucf snippets for ca-valencia, kmr-Latn, sr-Latn and
      the new bn-IN in their langpacks
  * merge from Ubuntu:
    - Enable bn-IN and merge into l10n-bn
 
 -- Rene Engelhard <rene@debian.org>  Sun, 12 Mar 2023 09:56:17 +0100

libreoffice (4:7.5.1~rc2-0ubuntu1) lunar; urgency=medium

  * New upstream release candidate
  * Disable make check on s390x

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 22 Feb 2023 19:46:23 +0100

libreoffice (4:7.5.1~rc2-1) experimental; urgency=medium

  * New upstream release candidate

 -- Rene Engelhard <rene@debian.org>  Thu, 23 Feb 2023 18:56:29 +0100

libreoffice (4:7.5.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  * fontconfig-2.14.1-no-RGB-stripes-layout-for-sub-pixel-rendering.diff:
    revert this local patch before/after the tests ...
  * debian/control.in:
    - ... but build-conflict against affected fontconfig-configs (with
      <!nocheck>) instead since it now removes the offending config per default
      (buildd chroot...) if not chosen otherwise via debconf (see #1030000)
  * debian/rules:
    - Do not add documentation symlinks when not building documentation,
      thanks Vagrant Cascadian (closes: #1030270)
  * debian/tests/control.in:
    - make uicheck-sc depend on libreoffice-impress since for whatever
      reason ("effects"?) sc/qa/uitest/calc_tests4/exportToPDF.py starts
      to hang without it

 -- Rene Engelhard <rene@debian.org>  Thu, 09 Feb 2023 17:17:06 +0100

libreoffice (4:7.5.0~rc3-1) experimental; urgency=medium

  * The "(More) 'Fun' with epochs" release.

  * New upstream release candidate 

  * debian/control.in:
    - update -common Breaks: on -core after the epoch bumps (and add
      -core-nogui) (closes: #1029534)

 -- Rene Engelhard <rene@debian.org>  Wed, 25 Jan 2023 23:17:31 +0100

libreoffice (4:7.5.0~rc2-7) experimental; urgency=medium

  * The "if something goes wrong it really does" release
  * reupload to experimental correctly. AGAIN.  Bump epoch to 4: again..

 -- Rene Engelhard <rene@debian.org>  Mon, 23 Jan 2023 07:06:55 +0100

libreoffice (3:7.5.0~rc2-6) unstable; urgency=medium

  * also bump epoch for libreoffice-wiki-publisher and
    libreoffice-nlpsolver...

 -- Rene Engelhard <rene@debian.org>  Mon, 23 Jan 2023 06:10:15 +0100

libreoffice (3:7.5.0~rc2-5) experimental; urgency=medium

  * bump epoch to 3: and remove extra epoch on fonts-opensymbol

 -- Rene Engelhard <rene@debian.org>  Sun, 22 Jan 2023 22:35:47 +0100

libreoffice (2:7.5.0~rc2-4) experimental; urgency=medium

  * upload to experimental correctly 

 -- Rene Engelhard <rene@debian.org>  Sun, 22 Jan 2023 09:31:36 +0000

libreoffice (1:7.5.0~rc2-3) unstable; urgency=medium

  * debian/patches/tdf125573_FontWorkScaleX-use-Calibri-instead-of-Cambria.diff:
    add from upstream master; as name says

  * debian/source/include-binaries: include new pptx of above
  * debian/rules:
    - no need to Build-Depend on fonts-crosextra-caladea anymore
  * debian/watch: fix 

 -- Rene Engelhard <rene@debian.org>  Sat, 21 Jan 2023 18:42:09 +0100

libreoffice (1:7.5.1~rc1-0ubuntu1) lunar; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 09 Feb 2023 13:34:32 +0100

libreoffice (1:7.5.0~rc3-0ubuntu1) lunar; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 25 Jan 2023 15:34:42 +0100

libreoffice (1:7.5.0~rc2-2) experimental; urgency=medium

  * fontconfig-2.14.1-no-RGB-stripes-layout-for-sub-pixel-rendering.diff: 
    as name says, fix vcls testSimpleText with fontconfig-config 2.14.1-3
    (closes: #1029104). Apply before test and unapply after for now to not
    install it in fonts-opensymbol (as we for now are patching that file)

  * debian/rules:
    - set extra builid to BINARY_VERSION instead of DEB_VERSION to reflect
      the actual binary package version of libreoffice-core if they differed

 -- Rene Engelhard <rene@debian.org>  Sat, 21 Jan 2023 08:45:16 +0100

libreoffice (1:7.5.0~rc2-0ubuntu3) lunar; urgency=medium

  * tests/control,tests/uicheck-sc:
    - Allow uicheck-sc test to handle timeouts and mark it as flaky temporarily

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 19 Jan 2023 15:56:34 +0100

libreoffice (1:7.5.0~rc2-0ubuntu2) lunar; urgency=medium

  * debian/patches/sd-qa-Increase-range-for-DPI-dependent-check-of-Boun.patch
    - Fix test failure

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sun, 15 Jan 2023 09:27:06 +0100

libreoffice (1:7.5.0~rc2-0ubuntu1) lunar; urgency=medium

  * New upstream release candidate
  * Set NO_PKG_MANGLE to disable optimization on riscv64

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 12 Jan 2023 18:20:06 +0100

libreoffice (1:7.5.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - also add forgotten DEB_LDFLAGS_MAINT_STRIP for -flto=auto
      and (if using "small symbols" anyway -ffat-lto-objects)
    - build-depend on libzxing-dev, not the transitional libzxingcore-dev

 -- Rene Engelhard <rene@debian.org>  Thu, 12 Jan 2023 22:25:57 +0100

libreoffice (1:7.5.0~rc1-2) experimental; urgency=medium

  * debian/patches/0004-Remove-dependency-on-BitArray.h-from-zxing-1.2.0.patch:
    add from clearlinux-pkgs, thanks Johannes Schauer -
    see https://github.com/zxing-cpp/zxing-cpp/issues/361 (closes: #1027048)

  * debian/rules:
    - clean (build)-depends (versions) up; remove unnecessary ones since
      buster (oldstable), hopefully also fixes lintians
      field-too-long Build-Depends error
  * debian/source/lintian-overrides: override bogus
    source-contains-prebuilt-windows-binary for
    [sw/qa/extras/txtimport/data/GB18030.txt]; also override
    source-is-missing for some htmls in sw/qa/extras/html{import,export}/data

 -- Rene Engelhard <rene@debian.org>  Thu, 29 Dec 2022 04:14:57 +0100

libreoffice (1:7.5.0~rc1-0ubuntu1) lunar; urgency=medium

  * New upstream release candidate

  * Enable GTK4 support
  * Drop old transitional packages for pre-bionic
  * autopkgtests: Skip two failing tests on s390x

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 21 Dec 2022 20:15:33 +0100

libreoffice (1:7.5.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/control.in:
    - make -core/-core-nogui depend on uno-libs-private (>= 1:7.5.0~)
  * debian/control.ure.in:
    - make uno-libs-private break libuno-cppuhelpergcc3-3 (<< 1:7.5.0~),
     libreoffice-core{,-nogui} (<< 1:7.5.0~)

 -- Rene Engelhard <rene@debian.org>  Thu, 22 Dec 2022 05:34:34 +0000

libreoffice (1:7.5.0~beta1-1) experimental; urgency=medium

  * New upstream beta release

 -- Rene Engelhard <rene@debian.org>  Thu, 08 Dec 2022 20:43:55 +0100

libreoffice (1:7.5.0~alpha1-2) experimental; urgency=medium

  * debian/rules: disable checks on s390x for now (cause OOM on the buildds),
    the results are ignored anyway.
  
 -- Rene Engelhard <rene@debian.org>  Mon, 28 Nov 2022 18:36:00 +0100

libreoffice (1:7.5.0~alpha1-1) experimental; urgency=medium

  * New upstream alpha release

  * debian/watch: alpha/betas again 
  * debian/rules:
    - enable qt6 plugin (closes: #1019740)
  * debian/rules, debian/vars.loong64: add initial loong(arch)64 support
  * debian/rules, debian/vars.riscv64: add riscv64 support

 -- Rene Engelhard <rene@debian.org>  Sat, 26 Nov 2022 08:47:22 +0100

libreoffice (1:7.4.3-0ubuntu1) lunar; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 30 Nov 2022 11:05:16 +0100

libreoffice (1:7.4.3-2) unstable; urgency=medium

  * debian/rules: disable checks on s390x for now (cause OOM on the buildds),
    the results are ignored anyway.
  
 -- Rene Engelhard <rene@debian.org>  Mon, 28 Nov 2022 18:32:19 +0100

libreoffice (1:7.4.3-1) unstable; urgency=medium

  * LibreOffice 7.4.3 final release (identical to rc2)

  * upload to unstable

  * debian/rules: use system-lockfile; lockfile is actually built during
    the build on non-cross builds

 -- Rene Engelhard <rene@debian.org>  Wed, 23 Nov 2022 18:58:08 +0100

libreoffice (1:7.4.3~rc2-2) experimental; urgency=medium

  * debian/patches/fix-system-libfixmath.diff: fix build without
    mergelibs (a.k.a. 32bit archs) by adding explicit -llibfixmath ...

 -- Rene Engelhard <rene@debian.org>  Wed, 16 Nov 2022 21:54:08 +0100

libreoffice (1:7.4.3~rc2-0ubuntu1) lunar; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 16 Nov 2022 18:41:04 +0100

libreoffice (1:7.4.3~rc2-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/patches/fix-system-libfixmath.diff: actually don't compile
    internal fix16.cxx but use system-libfixmath as intended
  * debian/rules, debian/patches/dragonbox-1.1.3.diff: fix build with
    dragonbox 1.1.3 and update dragonbox build-dependency
    (closes: #1024157)

 -- Rene Engelhard <rene@debian.org>  Wed, 16 Nov 2022 18:42:19 +0100

libreoffice (1:7.4.3~rc1-2) experimental; urgency=medium

  * debian/*.symbols: fix lintians
    "symbols-file-contains-current-version-with-debian-revision on
    symbol GLIBCXX_3.4@GLIBCXX_3.4" by adding a alternative dependency
    template triggering on this symbol and adding an extra dependency on
    libstdc++6 (>= 4.1.1) (version taking from libstdc++.symbols)
  * debian/rules:
    - now that we cover all symbols in *.symbols, use -c2 for dh_makeshlibs
    - move ifeq for bullseye-backports down in the file to really exclude
      the node-prismjs dependency on bullseye-backports
  * debian/libreoffice-core.NEWS: add NEWS entry for #1019423

 -- Rene Engelhard <rene@debian.org>  Wed, 09 Nov 2022 17:21:29 +0100

libreoffice (1:7.4.3~rc1-0ubuntu1) lunar; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 02 Nov 2022 13:13:52 +0100

libreoffice (1:7.4.3~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules, debian/*.bug-scripts.in, debian/bug-control: rework
    - call /usr/share/bug/<package>/script for report-with: packages to work
      around #819543
    - make the nogui packages also report-with: their nogui (alternative)
      dependencies
    - read Java config also from the user config
    - make libreoffice-nlpsolver and libreoffice-wiki-publisher
      report-with: ure-java
  * debian/rules:
    - allow new versioned java-runtime provides in Java runtime dependencies

 -- Rene Engelhard <rene@debian.org>  Wed, 02 Nov 2022 18:55:31 +0100

libreoffice (1:7.4.2-2) unstable; urgency=medium

  * debian/patches/curl-7.86.diff: backport from master; fix
    JunitTest_ucb_complex test with curl 7.86

  * debian/rules:
    - don't add Graphics; to draws .desktop, it's already there
      (closes: #1021778) 
    - add missing >&3 to ufcq calls in bug scripts (also for indep...)
  * debian/python3-uno.lintian-overrides,
    debian/libreoffice-base{,-drivers}.lintian-overrides.
    debian/libreoffice-sdbc-firebird.lintian-overrides: override
    debian-news-entry-has-unknown-version now triggering after debhelpers
    new changelog trimming
  * debian/libreoffice-impress.bug-control: remove report-with: on fglrx
    and nvidia-glx-* ...
  * debian/libreoffice-impress.bug-script.in: ... and run
    dpkg -l | grep nvidia instead

 -- Rene Engelhard <rene@debian.org>  Wed, 26 Oct 2022 21:47:10 +0200

libreoffice (1:7.4.2-1) unstable; urgency=medium

  * LibreOffice 7.4.2 release (identical to rc3)

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Mon, 10 Oct 2022 19:32:31 +0200

libreoffice (1:7.4.2~rc3-0ubuntu1) kinetic; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 10 Oct 2022 22:28:38 +0200

libreoffice (1:7.4.2~rc3-1) experimental; urgency=medium

  * New upstream release candidate 

 -- Rene Engelhard <rene@debian.org>  Mon, 10 Oct 2022 19:06:49 +0200

libreoffice (1:7.4.2~rc2-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - add missing >&3 to ufcq calls in bug scripts
    - fix build-depends-on-obsolete-package
      (s/libfreetype6-dev/libfreetype-dev/,
      s/libfontconfig1-dev/libfontconfig-dev/) 
  * debian/control.gtk4.in: remove "when running under GNOME"
    from package description since GNOME implies gtk3
  * debian/control.{gtk4,qt5,qt6}.in: mention the need to
    manually export SAL_USE_VCLPLUGIN

 -- Rene Engelhard <rene@debian.org>  Thu, 06 Oct 2022 17:44:16 +0200

libreoffice (1:7.4.2~rc2-0ubuntu1) kinetic; urgency=medium

  * New upstream release candidate

  [ Rene Engelhard ]
  * debian/rules: add missing >&3
  * debian/rules: fix build-depends-on-obsolete-package
    (s/libfreetype6-dev/libfreetype-dev/,
     s/libfontconfig1-dev/libfontconfig-dev/)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 06 Oct 2022 10:38:00 +0200

libreoffice (1:7.4.2~rc1-0ubuntu1) kinetic; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 21 Sep 2022 10:03:05 +0200

libreoffice (1:7.4.2~rc1-2) experimental; urgency=medium

  * reupload with correct control... 

 -- Rene Engelhard <rene@debian.org>  Wed, 21 Sep 2022 18:08:40 +0200

libreoffice (1:7.4.2~rc1-1) experimental; urgency=medium

  * New upstream release candidate

 -- Rene Engelhard <rene@debian.org>  Wed, 21 Sep 2022 17:36:50 +0200

libreoffice (1:7.4.1-1) unstable; urgency=medium

  * LibreOffice 7.4.1 final release (identical to rc2)
    (closes: #1018173)

  * debian/source/lintian-overrides: update for latest copyright changes

 -- Rene Engelhard <rene@debian.org>  Sat, 17 Sep 2022 19:49:58 +0200

libreoffice (1:7.4.1~rc2-3) unstable; urgency=medium

  * upload to unstable

  * debian/rules:
    - don't depend on node-prismjs on bullseye-backport since there it
      depends on nodejs... 
    - also use node-prismjs/node-normalize.css for the build and add them
      to Build-Depends-Indep
  * debian/copyright, debian/libreoffice-common.links: mention prism.css
    explicitly and link to node-primsjs' prism-coy.css

 -- Rene Engelhard <rene@debian.org>  Sun, 11 Sep 2022 22:30:14 +0200

libreoffice (1:7.4.1~rc2-0ubuntu1) kinetic; urgency=medium

  * New upstream release candidate
  * Bump yaru source to "2022-09-04"

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 09 Sep 2022 22:23:33 +0200

libreoffice (1:7.4.1~rc2-2) experimental; urgency=medium

  * upload with correct control.... 

 -- Rene Engelhard <rene@debian.org>  Sat, 10 Sep 2022 13:28:55 +0200

libreoffice (1:7.4.1~rc2-1) experimental; urgency=medium

  * New upstream release candidate
    - fixes CVE-2022-3140 (Macro URL arbitrary script execution)

  * debian/patches/poppler-22.09.diff: fix build with poppler 22.09,
    from gerrit

  The "hrmpf. lintian" release.

  * debian/source/lintian-overrides, debian/*.lintian-overrides,
    debian/copryight:
    - really fix those lintian warnings supposed to be fixed in -3
  * debian/changelog:
    - fix debian-changelog-line-too-long in -3s changelog
  * debian/copyright:
    - fix license of sysui/desktop/appstream-appdata/*.xml, "fix"
      some superfluous-file-pattern, thanks lintian
  * debian/source.lintian-overrides:
    - override new(?) superfluous-file-pattern, (even the ones before
      since lintian still complains)
  * debian/rules, debian/libreoffice-help-common.links: link and depend
    on node-prismjs (and depend on node-normalize.css instead of the virtual
    libjs-normalize.css)

 -- Rene Engelhard <rene@debian.org>  Sat, 10 Sep 2022 08:16:12 +0200

libreoffice (1:7.4.1~rc1-3) unstable; urgency=medium

  * debian/source/lintian-overrides, debian/*.lintian-overrides:
    - update mismatched lintian overrides (and override some more lintian
      madness)
  * debian/copryight: update for prism.js, remove js which are gone

  * debian/rules:
    - mkdir -p /usr/lib/libreoffice/share/extensions explicitly to have
      libreoffice-common "own it"
  * debian/shell-lib-extensions.sh:
    - only touch /usr/lib/libreoffice/share/extensions when it is existing
      and a directory to go sure
  * debian/libreoffice-common.preinst.in:
    - rm -f /usr/lib/libreoffice/share/extensions in preinst when it's a
      0-byte file
  (all together closes: #1005832, #1018750)

 -- Rene Engelhard <rene@debian.org>  Thu, 01 Sep 2022 06:24:20 +0200

libreoffice (1:7.4.1~rc1-2) unstable; urgency=medium

  * upload to unstable 

  * debian/watch: watch releases again for preparation of not uploading any
    rc anymore

 -- Rene Engelhard <rene@debian.org>  Thu, 25 Aug 2022 07:59:51 +0200

libreoffice (1:7.4.1~rc1-0ubuntu1) kinetic; urgency=medium

  * New upstream release candidate
  * Bump yaru source to "2022-08-15"

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 24 Aug 2022 15:19:00 +0200

libreoffice (1:7.4.1~rc1-1) experimental; urgency=medium

  * debian/patches/Make-configure-work-with-gpgme-1.18.patch: as name says,
    from gerrit

  * New upstream release candidate

 -- Rene Engelhard <rene@debian.org>  Wed, 24 Aug 2022 18:28:30 +0200

libreoffice (1:7.4.0~rc3-0ubuntu1) kinetic; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 10 Aug 2022 16:58:17 +0200

libreoffice (1:7.4.0~rc3-1) unstable; urgency=medium

  * debian/patches/add-libebook-1.2.so.21.patch: as name says for libebook
    SONAME bump
  * debian/patches/fix-eot-configure-ac.diff: as name says; make --enable-eot
    work again 

  * New upstream release candidate

 -- Rene Engelhard <rene@debian.org>  Wed, 10 Aug 2022 16:04:33 +0000

libreoffice (1:7.4.0~rc2-3) unstable; urgency=medium

  * debian/changelog: oops, fix merge... 

 -- Rene Engelhard <rene@debian.org>  Thu, 28 Jul 2022 22:58:57 +0200

libreoffice (1:7.4.0~rc2-2) unstable; urgency=medium

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Thu, 28 Jul 2022 08:52:48 +0200

libreoffice (1:7.4.0~rc2-0ubuntu1) kinetic; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 28 Jul 2022 07:02:27 +0200

libreoffice (1:7.4.0~rc2-1) experimental; urgency=medium

  * debian/patches/svm-test-bigendian.diff: from master, fix svm test on
    bigendian (other tests still fail)
  * debian/patches/hrk-euro.diff: add HRK->EUR to the (hidden) Euro Conversion
    Wizard for completeness' sake
  * debian/patches/fix-uicheck-tests-on-i386.patch: readd lost/still needed
    patch to work around rounding errors in descriptiveStatistics test on i386

  * New upstream release candidate

  * debian/rules:
    - explicitely set export DEB_BUILD_MAINT_OPTIONS=optimize=+lto / -lto
      depending on ENABLE_LTO=y/n here
    - make parallel=X affecting -flto=X again: force -flto=auto (apparently default
      since gcc 12 became default) off and add -flto=X
    - strip -ffat-lto-objects if building with SMALL symbols
    - exclude skia from dh_dwz since it fails when built with clang 14 (and
      disable dwz completely if we ever built everything with clang for
      completeness' sake...)

 -- Rene Engelhard <rene@debian.org>  Wed, 27 Jul 2022 23:55:16 +0200

libreoffice (1:7.4.0~rc1-3) experimental; urgency=medium

  * debian/rules: use -O0 on s390x to work around miscompile, thanks
    Stephan Bergmann for analysis. 

 -- Rene Engelhard <rene@debian.org>  Tue, 19 Jul 2022 17:09:13 +0200

libreoffice (1:7.4.0~rc1-2) experimental; urgency=medium

  * debian/patches/TestEmfPlusDrawPathWithCustomCap-Aarch64.diff,
    emfio/qa/cppunit/emf/data/TestEmfPlusDrawPathWithCustomCap.emf: add patch
    from libreoffice-7-4 branch to fix emf test failure on arm64

  * debian/watch: track rcs again 

 -- Rene Engelhard <rene@debian.org>  Fri, 08 Jul 2022 16:20:08 +0200

libreoffice (1:7.4.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate

 -- Rene Engelhard <rene@debian.org>  Thu, 07 Jul 2022 03:44:09 +0200

libreoffice (1:7.4.0~beta1-4) experimental; urgency=medium

  * debian/rules: oops, fix too greedy sed call... 

 -- Rene Engelhard <rene@debian.org>  Thu, 16 Jun 2022 19:24:35 +0200

libreoffice (1:7.4.0~beta1-3) experimental; urgency=medium

  * debian/patches/tdf148395-do-no-rely-on-math-and-impress.diff:
    add from upstream gerrit; remove assert that fails depending on which
    components are installed
  * debian/rules:
    - disable skia on bigendian archs again 
    - force libuno-sal3 (>= 1:7.4.0~beta1) dependency for -core to be sure
      since the uno:EditGlossary test (in openDialogs.openDialogs)
      segfaults/hangs with 7.3.4s libuno-sal3

 -- Rene Engelhard <rene@debian.org>  Tue, 14 Jun 2022 06:27:46 +0200

libreoffice (1:7.4.0~beta1-2) experimental; urgency=medium

  * debian/patches/fix-bigendian.diff: fix ww8 filter build on bigendian
  * debian/patches/fix-32bit.diff: fix new a11y cppunits tests on 32bit

 -- Rene Engelhard <rene@debian.org>  Sat, 11 Jun 2022 14:15:09 +0200

libreoffice (1:7.4.0~beta1-1) experimental; urgency=medium

  * New upstream beta release

  * debian/tests/*: update to fix testtools-bridgetest and
    junit-subsequentcheck

 -- Rene Engelhard <rene@debian.org>  Fri, 10 Jun 2022 16:12:11 +0200

libreoffice (1:7.4.0~alpha1-2) experimental; urgency=medium

  * fix eot conditional 

 -- Rene Engelhard <rene@debian.org>  Fri, 13 May 2022 06:40:06 +0200

libreoffice (1:7.4.0~alpha1-1) experimental; urgency=medium

  * New upstream alpha release
    - adds support for webp (closes: #998753)

  * debian/rules:
   - run make clean after nogui builds instead of trying to manually clean
     up affected files
   - enable skia also on bigendian archs since upstream does this now and
     "and despite the disclaimer it reportedly works fine"
  * debian/watch: watch alpha/betas

 -- Rene Engelhard <rene@debian.org>  Thu, 12 May 2022 16:53:37 +0200

libreoffice (1:7.3.5~rc2-0ubuntu1) kinetic; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 16 Jul 2022 08:56:40 +0200

libreoffice (1:7.3.5~rc1-0ubuntu1) kinetic; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 02 Jul 2022 12:10:09 +0200

libreoffice (1:7.3.5~rc1-1) unstable; urgency=medium

  * New upstream release candidate

 -- Rene Engelhard <rene@debian.org>  Fri, 01 Jul 2022 21:51:28 +0200

libreoffice (1:7.3.4~rc2-0ubuntu1) kinetic; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 02 Jun 2022 07:47:06 +0200

libreoffice (1:7.3.4~rc2-1) unstable; urgency=medium

  * New upstream release candidate

 -- Rene Engelhard <rene@debian.org>  Thu, 02 Jun 2022 17:51:28 +0200

libreoffice (1:7.3.4~rc1-0ubuntu1) kinetic; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 18 May 2022 16:20:20 +0200

libreoffice (1:7.3.4~rc1-1) unstable; urgency=medium

  * New upstream release candidate

 -- Rene Engelhard <rene@debian.org>  Wed, 18 May 2022 20:36:02 +0200

libreoffice (1:7.3.3~rc2-0ubuntu1) kinetic; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 27 Apr 2022 15:11:15 +0200

libreoffice (1:7.3.3~rc2-1) unstable; urgency=medium

  * New upstream release candidate 

 -- Rene Engelhard <rene@debian.org>  Wed, 27 Apr 2022 22:17:56 +0200

libreoffice (1:7.3.3~rc1-2) unstable; urgency=medium

  * debian/patches/icu-71.diff: extend ICU 70 workaround for testLao
    to >= 70 (closes: #1009716)
  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Wed, 20 Apr 2022 17:39:49 +0200

libreoffice (1:7.3.3~rc1-1) experimental; urgency=medium

  * New upstream release candidate
    - fixes
      + CVE-2022-26306 Static Initialization Vector Allows to Recover
        Passwords for Web Connections Without Knowing the Master Password
      + CVE-2022-26307 Weak Master Keys

 -- Rene Engelhard <rene@debian.org>  Wed, 13 Apr 2022 17:29:06 +0200

libreoffice (1:7.3.2-0ubuntu2) jammy; urgency=medium

  * Fix Qt5 Wayland popups (LP: #1968728)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 12 Apr 2022 16:49:31 +0200

libreoffice (1:7.3.2-0ubuntu1) jammy; urgency=medium

  * New upstream release
  * Use XDG_DOWNLOAD_DIR as location for temporary file for offline help
    (LP: #1951210)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 04 Apr 2022 12:28:12 +0200

libreoffice (1:7.3.2~rc2-1) unstable; urgency=medium

  * New upstream release candidate
    - fixes CVE-2022-26305 Execution of Untrusted Macros Due to Improper
      Certificate Validation

 -- Rene Engelhard <rene@debian.org>  Wed, 23 Mar 2022 20:30:37 +0100

libreoffice (1:7.3.2~rc2-0ubuntu1) jammy; urgency=medium

  * New upstream release candidate
  * Bump yaru source to "2022-03-12"
  * Demote Recommends to Suggests of requires browser as help viewer

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 23 Mar 2022 15:53:21 +0100

libreoffice (1:7.3.2~rc1-0ubuntu2) jammy; urgency=medium

  * Restrict parallelism to 3 on amd64 to workaround insufficient builder
    resources

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 10 Mar 2022 21:43:08 +0100

libreoffice (1:7.3.2~rc1-0ubuntu1) jammy; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 09 Mar 2022 20:18:29 +0100

libreoffice (1:7.3.1-1) unstable; urgency=medium

  * LibreOffice 7.3.1 final release
    - fixes CVE-2022-38745: "Empty entry in Java class path risks arbitrary
      code execution"

 -- Rene Engelhard <rene@debian.org>  Thu, 03 Mar 2022 17:24:16 +0000

libreoffice (1:7.3.1~rc3-0ubuntu1) jammy; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 01 Mar 2022 09:39:32 +0100

libreoffice (1:7.3.1~rc2-0ubuntu1) jammy; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 23 Feb 2022 14:17:48 +0100

libreoffice (1:7.3.1~rc1-0ubuntu3) jammy; urgency=medium

  * Fix header discovery with kf5coreaddons >= 5.91.0

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 15 Feb 2022 19:06:38 +0100

libreoffice (1:7.3.1~rc1-0ubuntu2) jammy; urgency=medium

  * Recommend/Suggest firefox as first alternative while being the default
    browser in Ubuntu

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 15 Feb 2022 16:49:51 +0100

libreoffice (1:7.3.1~rc1-0ubuntu1) jammy; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 11 Feb 2022 13:03:24 +0100

libreoffice (1:7.3.1~rc1-1) unstable; urgency=medium

  * New upstream release candidate

 -- Rene Engelhard <rene@debian.org>  Fri, 11 Feb 2022 13:33:36 +0100

libreoffice (1:7.3.0-1) unstable; urgency=medium

  * New upstream release

  * debian/watch: watch releases again

 -- Rene Engelhard <rene@debian.org>  Mon, 31 Jan 2022 17:33:13 +0100

libreoffice (1:7.3.0~rc3-0ubuntu1) jammy; urgency=medium

  * New upstream release candidate
  * Bump yaru source to "2022-01-20"

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 26 Jan 2022 16:57:22 +0100

libreoffice (1:7.3.0~rc2-3) unstable; urgency=medium

  * debian/tests/control.in:
    - comment out build-needing autopkgtests again by request of the release
      team; the infrastructure even on amd64 is not capable of handling it due
      due autopkgtest shortcomings
  * debian/control.help.in.
    - move the browser Depends to Recommends: (closes: #1003864)
  * debian/patches/apparmor-updates.diff: add patch to fix saving with
    enforced apparmor again, thanks Vincas Dargis (closes: #1004038) 

 -- Rene Engelhard <rene@debian.org>  Fri, 21 Jan 2022 20:35:38 +0100

libreoffice (1:7.3.0~rc2-2) unstable; urgency=medium

  * upload to unstable

  * debian/tests/control.in, debian/tests/uicheck-{sfx2,svx}:
    also run uitests in sfx2 and svx
  * debian/tests/control.in: try to optimize the order of the tests
    a bit (especially for uicheck-*) to try reusing the testbed and
    avoid costly copy(up|down)s

 -- Rene Engelhard <rene@debian.org>  Sun, 16 Jan 2022 11:30:18 +0100

libreoffice (1:7.3.0~rc2-0ubuntu1) jammy; urgency=medium

  * New upstream release candidate
  * Enable dwz on amd64
  * Disable autopkgtests with build-needed to keep their runtime reasonable

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 13 Jan 2022 07:58:27 +0100

libreoffice (1:7.3.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate

 -- Rene Engelhard <rene@debian.org>  Wed, 12 Jan 2022 20:17:15 +0100

libreoffice (1:7.3.0~rc1-2) experimental; urgency=medium

  * debian/patches/fix-uicheck-tests-on-i386.patch: update
  * debian/patches/fix-Tdf126116-test.diff: add upstream patch from gerrit;
    fix upstream FTBFS timebomb found by reproducible builds

  * debian/tests/*: rename "uno" to "testtools-bridgetest", since it's
    more telling (and inside testtols anyway, uno is just the command
    ran)

 -- Rene Engelhard <rene@debian.org>  Thu, 23 Dec 2021 17:23:03 +0100

libreoffice (1:7.3.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate
    - fixes CVE-2021-25636 Incorrect trust validation of signature with ambiguous
      KeyInfo children

  * debian/rules:
    - add support (don't use it (yet)) for using --enable-cipher-openssl-backend
    - limit llvm build-dep to le/skia-using archs
    - build the mysqlc test only on the archs we run the actual test (at least
      for now)
    - bump liborcus-dev build-depends to >= 0.17.2 if we run the tests

 -- Rene Engelhard <rene@debian.org>  Sun, 28 Nov 2021 16:46:17 +0100

libreoffice (1:7.3.0~beta1-4) experimental; urgency=medium

  * debian/rules:
    - add explicit Build-Depends on llvm since clang doesn't pull in
      llvm-xx-linker-tools anymore

 -- Rene Engelhard <rene@debian.org>  Sat, 11 Dec 2021 15:26:54 +0100

libreoffice (1:7.3.0~beta1-3) experimental; urgency=medium

  * debian/patches/fix-mysqlc-test.diff: as name says, from gerrit

  * debian/rules:
    - build the connectivity mysqlc test with the rest of the tests so it
      doesn't do that in the actual autopkgtest test
    - stop hardcoding clang-12 for ppc64el, add build-dep on clang (>= 1:12)
      now that 13 is default in sid
  * debian/libuno-sal3.symbols: update

 -- Rene Engelhard <rene@debian.org>  Sat, 11 Dec 2021 13:01:18 +0000

libreoffice (1:7.3.0~beta1-2) experimental; urgency=medium

  * debian/patches/revert-eabcfb3f18a6944d9ad89cecd3eb3ca7a2259cf3.diff:
    as name says; revert broken change/test; from upstream gerrit

 -- Rene Engelhard <rene@debian.org>  Sun, 28 Nov 2021 16:29:51 +0100

libreoffice (1:7.3.0~beta1-1) experimental; urgency=medium

  * New upstream beta release

  * debian/patches/pdfium-support-system-libopenjpeg-and-libabsl.diff:
    don't use internal libabsl cody copy in pdfium; add conditionalization
    for it and openjpeg2

  * debian/rules:
    - switch WEBDAV_LIB to the curl backend since it now has the test
      coverage instead of neon and is default now anyways
    - actually only set TEST_TIMEOUT if we ignore the test results anyway...
    - add abseil and openjpeg2 to SYSTEM_STUFF if building pdfium

 -- Rene Engelhard <rene@debian.org>  Thu, 25 Nov 2021 20:17:04 +0100

libreoffice (1:7.3.0~alpha1-6) experimental; urgency=medium

  * debian/tests/unitcheck.
    - remove broken mkdir -p of aboutbox.ui; add mkdir -p
      instdir/share/config/soffice.cfg/vcl/ui/.dir which was intended...

 -- Rene Engelhard <rene@debian.org>  Wed, 17 Nov 2021 06:08:27 +0100

libreoffice (1:7.3.0~alpha1-5) experimental; urgency=medium

  * debian/tests/*, debian/tests/control.in: strip cppunit- from
    cppunit-slowcheck and -unitcheck (the latter contains junit checks, too).
    Keep it for cppunit-subsequentcheck since that ecplicitely disables
    junit (which is tested in junit-subsequentcheck)
  * debian/test/unitcheck:
    - also filter out the unoidl module (no idea why it
      worked in my run and not in ci, but...)
    - don't allow test as root, the sal test fails miserably as root
    - create missing instdir/share/config/soffice.cfg/vcl/ui/aboutbox.ui
  * debian/tests/cppunit-subsequentcheck: add missing cd $SRCDIR
  * debian/tests/control.in:
    - move smoketest up again (before the test-extension*) tests to stress
      it's importance  (and it's restricted on archs where we have the
      cpppunit tests having build-needed anyway)

 -- Rene Engelhard <rene@debian.org>  Mon, 15 Nov 2021 22:19:57 +0100

libreoffice (1:7.3.0~alpha1-4) experimental; urgency=medium

  * debian/rules:
    - disable LTO on mips64el
    - also uncomment smoketest.jar move to -smoketest-data again (although
      effectively unused..) (closes: #998435)
    - don't check for AUTOPKGTEST_TMP, it seems to not been set in build stage
      already (add hack to grep for autopkgtest in pwd instead).
      Don't run the checks in build* if in autopkgtest builds (as they are run
      later anyway)
    - Separate RUN_MAKE_CHECK into BUILD_TESTS/RUN_MAKE_CHECK
    - use -g1 on autopkgtest builds (saving disc space/time on all those
      copies...)
    - don't specify --without-cppunit in CONFIGURE_FLAGS_INDEP per
      default (only explicit build-indep builds)
  * debian/tests/*, debian/tests/patches/*:
    - move cppunit part out of smoketest-standalone.diff into
      cppunit-standalone.diff
  * debian/tests/control.in:
    - make uno superficial, it only runs the bridgetest; remove it from
      cppunit-subsequentcheck
    - move smoketest after the cppunit tests and run it only on the
      architectures those, too (also make it build-needed); add missing
      libreoffice-smoketest-data dependency
  * debian/tests/*:
    - only create config_host.mk when not existing (e.g. architectures having
      no tests with build-needed and thus there is no build which created it)
    - don't try to run test-extension/odk-build-examples* as root, skip them
      if doing so
  * debian/tests/control.in, debian/rules:
    - don't use @ as dependency in cppunit-* since -nogui conflict with the
      "real" ones; populate by dh_listpackages but filter -nogui, -dev-doc and
      the l10ns/helps out
  * debian/control.in.
    - bump ure depends to >= 1:7.3.0~ (closes: #998746)
  * debian/tests/cppunit-*:
    - fix syntax; add more needed .dir's

 -- Rene Engelhard <rene@debian.org>  Mon, 08 Nov 2021 23:06:01 +0100

libreoffice (1:7.3.0~alpha1-3) experimental; urgency=medium

  * debian/patches/cppunit-optional.diff: build more stuff in smoketest
    not related to cppunit itself (e.g. TestExtension.{jar,oxt})

  * debian/rules:
    - build smoketestdoc.sxw again

 -- Rene Engelhard <rene@debian.org>  Sun, 31 Oct 2021 19:10:08 +0100

libreoffice (1:7.3.0~alpha1-2) experimental; urgency=medium

  * debian/rules:
    - use --without-cppunit in build-indep
    - use clang 12 on ppc64el (if building with LTO at least)
    - fix autopkgtest builds; explicitely set PACKAGE_SDK_DOCS=n

 -- Rene Engelhard <rene@debian.org>  Sun, 31 Oct 2021 09:25:30 +0100

libreoffice (1:7.3.0~alpha1-1) experimental; urgency=medium

  * New upstream alpha release
    - fixes --enable-lto build with clang (filters out -flto=X)
      (closes: #985867)

  * debian/patches/filter-out-lto-flags.diff: remove, was incomplete since
    the revert in 1:7.2.1-1 anyway

  * debian/rules:
    - use --with-idlc-cpp=cpp to use cpp instead of ucpp and
      adapt IDLC_CPP_DEPENDS for -dev accordingly
    - build with LTO if we build with mergelibs
    - only test the apparmor profiles' syntax on build-indep builds
      (since that is where they are installed); move (dh-)apparmor build-deps
      to Build-Depends-Indep
  * debian/tests/* debian/rules::
    - run the cppunit tests (as superficial tests) and add
      a test for manually running CppunitTest_connectivity_mysql_test after
      preparing mariadb (also superficial)
    - run the smoketest again now that we have a needs-build test anyway and
      don't add a hacked smoketestdoc.sxw anymore into smoketest-data - use the
      the just-built one
  * debian/rules, debian/control.in, debian/joinctrl.py: add new
    Build-Depends-Arch: containing the nocheck build-deps needed for make check
    on arch-dep builds
  * debian/watch: watch alphas/betas

 -- Rene Engelhard <rene@debian.org>  Fri, 29 Oct 2021 20:05:00 +0200

libreoffice (1:7.2.5~rc2-0ubuntu1) jammy; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 29 Dec 2021 09:57:29 +0100

libreoffice (1:7.2.5~rc1-0ubuntu2) jammy; urgency=medium

  [ Rene Engelhard ]
  * debian/patches/fix-e_book_client_connect_direct_sync-sig.diff:
    as name says; from libreoffice-7-2 branch
  * debian/patches/mdds-2.0-and-orcus-0.17.diff: update
  * debian/rules:
    - bump liborcus-dev build-depends to >= 0.17.2 if we run the tests

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 18 Dec 2021 13:33:08 +0100

libreoffice (1:7.2.5~rc1-0ubuntu1) jammy; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 16 Dec 2021 16:42:54 +0100

libreoffice (1:7.2.4-0ubuntu1) jammy; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 09 Dec 2021 10:54:13 +0100

libreoffice (1:7.2.4-3) unstable; urgency=medium

  * debian/patches/fix-Tdf126116-test.diff: add patch from gerrit;
    fix upstream FTBFS timebomb

 -- Rene Engelhard <rene@debian.org>  Thu, 23 Dec 2021 17:18:03 +0100

libreoffice (1:7.2.4-2) unstable; urgency=medium

  * debian/patches/fix-e_book_client_connect_direct_sync-sig.diff:
    as name says; from libreoffice-7-2 branch
  * debian/patches/mdds-2.0-and-orcus-0.17.diff: update

  * debian/rules:
    - bump liborcus-dev build-depends to >= 0.17.2 if we run the tests

 -- Rene Engelhard <rene@debian.org>  Fri, 17 Dec 2021 17:57:04 +0100

libreoffice (1:7.2.3-0ubuntu1) jammy; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 25 Nov 2021 15:44:17 +0100

libreoffice (1:7.2.3~rc2-0ubuntu1) jammy; urgency=medium

  * New upstream release candidate
  * Bump yaru source to "2021-11-10"

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 18 Nov 2021 14:52:12 +0100

libreoffice (1:7.2.3~rc1-0ubuntu1) jammy; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 04 Nov 2021 19:55:19 +0100

libreoffice (1:7.2.3~rc2-0ubuntu1) jammy; urgency=medium

  * New upstream release candidate
  * Bump yaru source to "2021-11-10"

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 18 Nov 2021 14:52:12 +0100

libreoffice (1:7.2.3~rc1-0ubuntu1) jammy; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 04 Nov 2021 19:55:19 +0100

libreoffice (1:7.2.2-1) unstable; urgency=medium

  * LibreOffice 7.2.2 final release (identical to rc2)

  * upload to unstable
  * debian/liblibreoffice-java.lintian-overrides,
    debian/libreoffice-dev-common.lintian-overrides: override bogus
    repeated-path-segment
  * debian/control.in: s/the the/the/
  * debian/libreoffice-core{,-nogui}.lintian-overrides: remove, obsolete

 -- Rene Engelhard <rene@debian.org>  Sun, 10 Oct 2021 15:42:24 +0200

libreoffice (1:7.2.2-0ubuntu0.21.10.1) impish; urgency=medium

  * New upstream release (LP: #1946558)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 09 Oct 2021 15:44:04 +0200

libreoffice (1:7.2.2~rc2-1) experimental; urgency=medium

  * New upstream release candidate

 -- Rene Engelhard <rene@debian.org>  Wed, 06 Oct 2021 17:03:00 +0200

libreoffice (1:7.2.2~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  [ merge from Ubuntu ]
  * debian/patches/arm-fp-mode.diff: Explicitly set fpu mode on armhf.
  (closes: #994698)

 -- Rene Engelhard <rene@debian.org>  Tue, 21 Sep 2021 22:24:19 +0200

libreoffice (1:7.2.1-0ubuntu3) impish; urgency=medium

  * debian/patches/tdf-144412-Qt5-reset-m_nModKeyCode-on-key-input.patch
    - Qt5 reset m_nModKeyCode on key input
  * debian/patches/tdf-144585-Qt5-restore-old-VCL-popup-handling.patch
    - Qt5 restore old VCL popup handling (LP: #1944113)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 27 Sep 2021 10:21:05 +0200

libreoffice (1:7.2.1-4) unstable; urgency=medium

  [ merge from Ubuntu ]
  * debian/patches/arm-fp-mode.diff: Explicitly set fpu mode on armhf. 
  (closes: #994698)

 -- Rene Engelhard <rene@debian.org>  Thu, 23 Sep 2021 17:55:20 +0200

libreoffice (1:7.2.1-3) unstable; urgency=medium

  * debian/control.ure.in:
    - also add Breaks: to << 1:7.2.0 libreoffice-cores to ure...
      (closes: #994624)

 -- Rene Engelhard <rene@debian.org>  Sun, 19 Sep 2021 13:18:06 +0200

libreoffice (1:7.2.1-2) unstable; urgency=medium

  * debian/control.in.
    - bump ure dependency for libreoffice-core to (>= 1:7.2.0~)
      (closes: #994624)

 -- Rene Engelhard <rene@debian.org>  Sun, 19 Sep 2021 12:07:40 +0200

libreoffice (1:7.2.1-0ubuntu2) impish; urgency=medium

  * debian/patches/arm-fp-mode.diff: Explicitly set fpu mode on armhf.

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 17 Sep 2021 17:32:45 +0200

libreoffice (1:7.2.1-0ubuntu1) impish; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 17 Sep 2021 07:55:54 +0200

libreoffice (1:7.2.1-1) unstable; urgency=medium

  * LibreOffice 7.2.1 release (identical to rc2)

  * debian/patches/qt5-fix-popups.diff: add patch from libreoffice-7-2 to
    fix popup menus in qt5
  * debian/patches/bison-3.8.diff: fix build with bison 3.8, from master
  * debian/patches/freetype-2.11.diff: fix (skia) build with freetype 2.11

  * debian/control.plasma.in: make -plasma recommend -kf5 (closes: #994445)

  * debian/rules, debian/clang_wrapper: remove again, doesn't work and
    prevents a clang build/a build of skia with clang

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Thu, 16 Sep 2021 11:04:20 +0200

libreoffice (1:7.2.1~rc2-0ubuntu1) impish; urgency=medium

  * New upstream release candidate
  * Bump yaru source to "2021-09-01"

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 08 Sep 2021 20:23:40 +0200

libreoffice (1:7.2.1~rc2-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/tests/control.in: which doxygen -> command -v doxygen

 -- Rene Engelhard <rene@debian.org>  Fri, 27 Aug 2021 06:44:31 +0200

libreoffice (1:7.2.1~rc1-2) experimental; urgency=medium

  * reupload with correct control...

 -- Rene Engelhard <rene@debian.org>  Fri, 27 Aug 2021 06:44:31 +0200

libreoffice (1:7.2.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/watch: add uversionmangle for releases (7.2.0.4 -> 7.2.0)

 -- Rene Engelhard <rene@debian.org>  Thu, 26 Aug 2021 21:11:34 +0200

libreoffice (1:7.2.1~rc1-0ubuntu1) impish; urgency=medium

  * New upstream release candidate
  * Drop disable-failing-arm-tests.diff from junit autopkgtests
  * Revert "Temporarily disable extension tests on armhf"
  * Drop upstreamed fix-arm-bridges.diff

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 26 Aug 2021 13:06:46 +0200

libreoffice (1:7.2.0-3) unstable; urgency=medium

  * debian/patches/revert-raspberry-pi-buildfixes.diff: remove again
  * debian/patches/fix-arm-bridges.diff: add targetted upstream fix from
    gerrit

  * debian/watch: watch only releases again
  * debian/rules:
    - chmod 755 the clang wrappers since otherwise they
      are ignored
    - explicitely set ENABLE_JUNIT4=y in build-indep builds if
      BUILD_TEST_PACKAGES=y

  [ merge from Ubuntu ]
  * Add Conflicts/Replaces for move of liblosessioninstalllo.so
    (closes: #992779)

 -- Rene Engelhard <rene@debian.org>  Mon, 23 Aug 2021 19:29:09 +0200

libreoffice (1:7.2.0-2) unstable; urgency=medium

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Sat, 21 Aug 2021 11:48:25 +0200

libreoffice (1:7.2.0-1) experimental; urgency=medium

  * LibreOffice 7.2.0 final (identical to rc4)

  * debian/patches/revert-raspberry-pi-buildfixes.diff: revert 32bit
    arm bridges back to 7.1.5 to revert all the
    "Fix some warnings for Raspberry pi 4" (sic!) commits which break armhf
    on runtime miserably

 -- Rene Engelhard <rene@debian.org>  Fri, 20 Aug 2021 09:17:07 +0200

libreoffice (1:7.2.0-0ubuntu1) impish; urgency=medium

  * New upstream release (LP: #1940556)
  * Revert GDrive API v3 support to allow build with libcmis 0.5.2
  * Revert "Fix some warnings for Raspberry pi 4" changes to unbreak armhf

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 19 Aug 2021 17:16:19 +0200

libreoffice (1:7.2.0~rc4-1) experimental; urgency=medium

  * New upstream release candidate

 -- Rene Engelhard <rene@debian.org>  Tue, 17 Aug 2021 11:21:11 +0200

libreoffice (1:7.2.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate

 -- Rene Engelhard <rene@debian.org>  Sat, 14 Aug 2021 13:34:06 +0200

libreoffice (1:7.2.0~rc2-4) experimental; urgency=medium

  * debian/patches/fix-install-with-disable-cmis.diff: as name says...

 -- Rene Engelhard <rene@debian.org>  Thu, 29 Jul 2021 19:07:41 +0200

libreoffice (1:7.2.0~rc2-3) experimental; urgency=medium

  * debian/rules:
    - explicitely add junit4 to Build-Depends-Indep

 -- Rene Engelhard <rene@debian.org>  Thu, 29 Jul 2021 09:41:29 +0200

libreoffice (1:7.2.0~rc2-2) experimental; urgency=medium

  * debian/rules:
    - disable cmis since it now needs a patched cmis to even build

 -- Rene Engelhard <rene@debian.org>  Thu, 29 Jul 2021 08:41:35 +0200

libreoffice (1:7.2.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - micro-optimiuation: add arch qualifiers to junit build-dep

 -- Rene Engelhard <rene@debian.org>  Thu, 15 Jul 2021 11:56:45 +0200

libreoffice (1:7.2.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/patches/fix-uicheck-tests-on-i386.patch: update; fix
    uicheck again on i386 (make the test more tolerant)

  * debian/control.in:
    - remove obsolete libreoffice-officebean transitional package
  * debian/tests/uicheck-{sc,sw},
    debian/tests/patches/disable-uno-show-license-tests.diff: revert,
    replaced by upstream patch

 -- Rene Engelhard <rene@debian.org>  Fri, 09 Jul 2021 17:47:16 +0200

libreoffice (1:7.2.0~beta1-4) experimental; urgency=medium

  * debian/tests/control.in:
    - make uicheck-sd depend on libreoffice-calc, now apparently tests with
      an embedded Calc document...
  * debian/tests/patches/disable-uno-show-license-tests.diff,
    debian/tests/uicheck-{sc,sw}: disable uno:ShowLicense openDialogs tests
    for autopkgtest since it complains about read-only LICENSE.html and waits
    for confirmation to open read-only ("hangs")...

 -- Rene Engelhard <rene@debian.org>  Fri, 02 Jul 2021 10:59:24 +0200

libreoffice (1:7.2.0~beta1-3) experimental; urgency=medium

  * debian/patches/disable-flaky-tests.diff: add removal of
    sc/qa/uitest/calc_tests8/tdf126248.py; fails on close for unknown
    reasons
  * debian/rules:
    - if make check results are ignored anyway: add a timeout call to the
      test call

 -- Rene Engelhard <rene@debian.org>  Thu, 24 Jun 2021 19:00:16 +0200

libreoffice (1:7.2.0~beta1-2) experimental; urgency=medium

  * debian/patches/fix-bigendian-builds.diff: as name says; from master
  * debian/patches/fix-32-bit.diff: as name says

 -- Rene Engelhard <rene@debian.org>  Fri, 18 Jun 2021 06:18:02 +0200

libreoffice (1:7.2.0~beta1-1) experimental; urgency=medium

  * New upstream beta release
    - fixes opposite cropping issue on flipped images in Writer
      (closes: #934678)

 -- Rene Engelhard <rene@debian.org>  Sun, 13 Jun 2021 21:13:39 +0200

libreoffice (1:7.1.5-0ubuntu1) impish; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 02 Aug 2021 07:19:13 +0200

libreoffice (1:7.1.5~rc2-0ubuntu1) impish; urgency=medium

  * New upstream release candidate
  * Bump yaru source to "2021-07-02"
  * Force noopt (thus also build with --disable-optimized) on armhf and
    build with default gcc (LP: #1931701)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sun, 18 Jul 2021 20:52:33 +0200

libreoffice (1:7.1.4-0ubuntu1) impish; urgency=medium

  * New upstream release
  * Use gcc 8 on armhf to avoid autopkgtest failure with gcc 9
    (LP: #1931701)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 17 Jun 2021 15:35:43 +0200

libreoffice (1:7.1.4~rc2-0ubuntu1) impish; urgency=medium

  * New upstream release candidate

  [ Rene Engelhard ]
  * debian/patches/libstdc++11.diff: fix build with newer gcc (libstdc++)
    11s, from master

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 04 Jun 2021 19:26:27 +0200

libreoffice (1:7.1.4~rc2-1) experimental; urgency=medium

  * New upstream release candidate

 -- Rene Engelhard <rene@debian.org>  Mon, 07 Jun 2021 19:06:15 +0200

libreoffice (1:7.1.4~rc1-2) experimental; urgency=medium

  * debian/patches/fix-emfio-wmf-test.diff,
    emfio/qa/cppunit/wmf/data/TestPalette.wmf: fix emfio wmf test
    on arm64 (from libreoffice-7-1-4 branch)

 -- Rene Engelhard <rene@debian.org>  Fri, 28 May 2021 18:47:03 +0200

libreoffice (1:7.1.4~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/patches/libstdc++11.diff: fix build with newer gcc (libstdc++)
    11s, from master

  * debian/control.in:
    - stop suggesting openclipart2-libreoffice (doesn't exist anymore
      in Debian) (closes: #987900)
  * debian/rules:
    - fix SYSTEM_GCC_VERSION detection for gcc 11 (and remove < 10 support)

 -- Rene Engelhard <rene@debian.org>  Fri, 21 May 2021 06:52:59 +0200

libreoffice (1:7.1.3~rc2-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/patches/apparmor-gnupg-tofu.diff: apply patch to support tofu+pgp in
    apparmor profile (closes: #955271)
  * debian/control.in, debian/libreoffice-common.{maintscript,postinst.in}:
    apply patch from Adreas Beckmann to fix upgrade buster->bullseye
    - libreoffice-core: Copy some Conflicts from libreoffice-common for smoother
      upgrades from buster. Dpkg will otherwise ignore Conflicts that are
      encountered later against a package that is already deconfigured.
    - libreoffice-common: Do not use dir_to_symlink for
      /usr/lib/libreoffice/share/registry, the Breaks/Conflicts cascade does not
      work reliable here to ensure all packages previously shipping files there
      are either removed or upgraded first, but not just deconfigured. Fix up
      the symlink in postinst instead.  (Closes: #985297)

 -- Rene Engelhard <rene@debian.org>  Sat, 01 May 2021 13:50:02 +0200

libreoffice (1:7.1.3~rc1-1) experimental; urgency=medium

  * New upstream release candidate

 -- Rene Engelhard <rene@debian.org>  Wed, 21 Apr 2021 17:47:00 +0200

libreoffice (1:7.1.3-0ubuntu1) impish; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 07 May 2021 17:03:32 +0200

libreoffice (1:7.1.3~rc2-0ubuntu1) impish; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 29 Apr 2021 08:01:36 +0200

libreoffice (1:7.1.2~rc2-0ubuntu2) hirsute; urgency=medium

  [ Heather Ellsworth ]
  * Re-enable startcenter and math application icons. (LP: #1696250)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 09 Apr 2021 16:05:03 +0200

libreoffice (1:7.1.2~rc2-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/patches/filter-out-lto-flags.diff: as name says, filter out LTO
    flags for clang-built skia, thanks Matthias Klose
  * debian/rules, debian/clang-wrapper: add clang wrapper for above, thanks
    Matthias Klose
  (closes: #985867)

  * debian/control.ure.in:
    - stop recommending liblibreoffice-java and a JDK in ure; ure-java
      is supposed to do it does it already

 -- Rene Engelhard <rene@debian.org>  Thu, 25 Mar 2021 20:56:22 +0100

libreoffice (1:7.1.2~rc2-0ubuntu1) hirsute; urgency=medium

  [ Rico Tzschichholz ]
  * New upstream release candidate
  * Bump yaru source to "2021-03-14" and add yaru-mate styles
  * Fix signing documents with enforced apparmor (LP: #1886092)
  * Disable lto due to insufficient disc space on amd64 builder

  [ Matthias Klose ]
  * Fix lto build, avoiding to pass lto flags to the skia build.

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 27 Mar 2021 16:01:35 +0100

libreoffice (1:7.1.2~rc1-0ubuntu1) hirsute; urgency=medium

  * New upstream release candidate

  * Disable JunitTest_dbaccess_complex on armhf for junit autopkgtests
  * Demote liblibreoffice-java from Recommends to Suggests of ure
    (LP: #1918308)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 12 Mar 2021 10:31:16 +0100

libreoffice (1:7.1.2~rc1-1) experimental; urgency=medium

  * New upstream release candidate
    - fixes CVE-2021-25633 "Double Certificate Attack"
    - fixes CVE-2021-25634 "Timestamp Manipulation with Signature Wrapping"

  * debian/tests/control.in: make uicheck-sw depend on -draw, the AutoRedact
    dialog test apparently needs it (hangs otherwise)
  * debian/rules:
    - build with -Wno-psabi on armel/armhf to suppress long obsolete
      warnings

 -- Rene Engelhard <rene@debian.org>  Thu, 11 Mar 2021 20:00:01 +0100

libreoffice (1:7.1.1~rc2-2ubuntu1) hirsute; urgency=medium

  * Fix autopkgtest failures

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 01 Mar 2021 11:17:32 +0100

libreoffice (1:7.1.1~rc2-2) experimental; urgency=medium

  * merge from Ubuntu:
    - Make test patches apply again

 -- Rene Engelhard <rene@debian.org>  Thu, 25 Feb 2021 17:44:31 +0100

libreoffice (1:7.1.1~rc2-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/patches/no-openssl.diff: remove ...
  * debian/rules: ... and use --disable-openssl, thanks Rico
  * debian/rules, debian/control.ure.in: stop moving jvmaccess and jvmfwk to
    ure-java; libmerged depends on them so they probably should stay in ure,
    thanks Rico

 -- Rene Engelhard <rene@debian.org>  Thu, 25 Feb 2021 16:34:31 +0100

libreoffice (1:7.1.1~rc2-0ubuntu1) hirsute; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 25 Feb 2021 07:46:19 +0100

libreoffice (1:7.1.1~rc1-0ubuntu1) hirsute; urgency=medium

  [ Rico Tzschichholz ]
  * New upstream release candidate
  * Update yaru icon style "2021-01-31"

  [ Heather Ellsworth ]
  * Add timeout to uicheck-sw test to allow it to handle timeouts under
    load better (LP: #1785262)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 22 Feb 2021 09:40:46 +0100

libreoffice (1:7.1.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate
    - fixes CVE-2021-25635 "Content Manipulation with Certificate Validation
      Attack"

  * debian/patches/pdfium-use-system-libopenjpeg.diff: as name says
  * debian/patches/apparmor-updates.diff: allow one more digit in temp
    files (closes: #982274)
  * debian/rules:
    - use java8_architectures instead of java6_architectures since 8 is LOs
      runtime baseline (no changes in architecture lists)

 -- Rene Engelhard <rene@debian.org>  Thu, 11 Feb 2021 07:20:44 +0100

libreoffice (1:7.1.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate

 -- Rene Engelhard <rene@debian.org>  Wed, 27 Jan 2021 20:39:55 +0100

libreoffice (1:7.1.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate

 -- Rene Engelhard <rene@debian.org>  Sat, 07 Nov 2020 09:22:25 +0100

libreoffice (1:7.1.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - don't rm LICENSE.html, it is used by
      Help -> License Information -> Show License
  * debian/control.mediawiki.in: remove Homepage: (closes: #978713)
  * debian/*.mime: stop quoting %s (closes: #950319)
  * debian/test/control.in: make uicheck-sc depend on libreoffice-writer, too
    (the openDialogs/uno.Show:License Dialog test opens a new "Writer/Web"
    document...)

 -- Rene Engelhard <rene@debian.org>  Thu, 14 Jan 2021 21:56:12 +0100

libreoffice (1:7.1.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/patches/pdfium-m68k.diff: fix pdfium build on m68k

  * debian/rules:
    - set MYSQL_FLAVOUR=mariadb (as it's used anyway, and upstreams internal
      copy is mariadb-connector-c anyway) and build-depend on libmariadb-dev
      instead of libmariadbclient-dev-compat (closes: #975481)
    - build-depend on clang (>= 1:11) on armel
    - fix nocheck -b builds...
    - use nowindows build profile for (not) building unowinreg
  * debian/rules, debian/control*in:
    - honour noinsttest build profile for (not) building
      -subsequentcheckbase/-smoketest-test-data
  * debian/rules, debian/control*in:
    - move unowinreg.dll into /usr/lib/i686-w64-mingw32 (the mingw g++
      compiler installs its .dlls into /usr/lib/gcc/i686-w64-mingw32)

 -- Rene Engelhard <rene@debian.org>  Thu, 17 Dec 2020 23:06:08 +0100

libreoffice (1:7.1.0~beta1-1) experimental; urgency=medium

  * New upstream beta release
    - adds pdf to DRAWDOCS for bash-completion (closes: #973682)

  * debian/rules:
    - remove obsolete SHLIBS_OVERRIDE += -Xunordf (closes: #966087, #968546)
    - enable l10n again

  * debian/tests/control: move ...
  * debian/tests/control.in: ... here and mark Java-using tests with
    Architecture:
  * debian/tests/odk-build-examples*: split non-Java and Java tests and mark
    Java test with Architecture:
  * debian/tests/junit, odk-build-examples-java: skip it if using a Zero-using
    architecture
  * debian/rules, debian/tests/control.in:
    - restrict tests using *-nogui to Architectures: where *-nogui
      actually is built
  * debian/control.in:
    - readd -sdbc-hsqldb Recommends as hsqldb is default again since some
      time...
    - bump fonts-opensymbol depends to >= 2:102.12 given new bullets used
      by DOCX documents

 -- Rene Engelhard <rene@debian.org>  Sun, 22 Nov 2020 15:09:08 +0100

libreoffice (1:7.1.0~alpha1-1) experimental; urgency=medium

  * New upstream alpha release

  * debian/rules:
    - add conditional and build-dep for new box2d (again)
    - don't parse parallel=X manually but use dpkg-devs buildopts.mk
    - build only en-US for now
    - try to enable pdfium anywhere since configure says
      "Disable building PDFium. Results in unsecure PDF signature
      verification."
  * debian/control*in, debian/rules:
    - split Java parts of the URE to ure-java so that libreoffice-java-common
      can depend on that. (For possible future archs starting with
      no-java where this then isn't fullfillable instead of silently "working"
      without actual Java stuff in "ure")
    - stop building libjuh-java, libridl-java, libjurt-java and libunoil-java.
      Merge them (and provide them) in(to) liblibreoffice-java.

 -- Rene Engelhard <rene@debian.org>  Tue, 27 Oct 2020 18:04:25 +0100

libreoffice (1:7.0.4~rc2-0ubuntu3) hirsute; urgency=medium

  * Build-depend on libclucene-dev (>= 2.3.3.4+dfsg-1ubuntu2~) to use
    libclucene's ABI defining float_t as float on s390x (LP: #1915927)

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 17 Feb 2021 19:29:42 +0100

libreoffice (1:7.0.4~rc2-0ubuntu2) hirsute; urgency=medium

  * Revert "Re-enable coinmp (LP: #1905422)" until MIR is sorted out

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 14 Dec 2020 10:05:19 +0100

libreoffice (1:7.0.4~rc2-0ubuntu1) hirsute; urgency=medium

  * New upstream release candidate
  * Update yaru icon style "2020-11-29"
  * Re-enable coinmp (LP: #1905422)
  * Disable flaky ui test (LP: #1785262)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 09 Dec 2020 21:18:17 +0100

libreoffice (1:7.0.4~rc1-1) unstable; urgency=medium

  * New upstream release candidate

  * debian/patches/unowinreg-static-libgcc.diff: use -static-libgcc, see
    LO master commit 01241113947fc7bd7f7b765dd897bb023c8ca99c

  * debian/rules:
    - set MYSQL_FLAVOUR=mariadb (as it's used anyway, and upstreams internal
      copy is mariadb-connector-c anyway) and build-depend on libmariadb-dev
      instead of libmariadbclient-dev-compat (closes: #975481)
    - build-depend on clang (>= 1:11) on armel
    - fix nocheck -b builds...
    - use nowindows build profile for (not) building unowinreg
  * debian/rules, debian/control*in:
    - honour noinsttests build profile for (not) building
      -subsequentcheckbase/-smoketest-test-data
  * debian/rules, debian/control*in:
    - move unowinreg.dll into /usr/lib/i686-w64-mingw32 (the mingw g++
      compiler installs its .dlls into /usr/lib/gcc/i686-w64-mingw32)

 -- Rene Engelhard <rene@debian.org>  Sun, 06 Dec 2020 10:32:01 +0000

libreoffice (1:7.0.3-4) unstable; urgency=medium

  * debian/patches/bash-completion-DRAWDOCS-pdf.diff: add pdf to DRAWDOCS for
    bash-completion (closes: #973682)

  * debian/rules, debian/tests/control.in:
    - restrict tests using *-nogui to Architectures: where *-nogui
      actually is built
  * debian/control.in:
    - readd -sdbc-hsqldb Recommends as hsqldb is default again since some
      time...

 -- Rene Engelhard <rene@debian.org>  Sat, 07 Nov 2020 09:22:25 +0100

libreoffice (1:7.0.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release
  * Update yaru icon style "2020-10-25"

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 02 Nov 2020 09:44:58 +0100

libreoffice (1:7.0.3-3) unstable; urgency=medium

  * debian/patches/icu-68.diff: fix build with ICU 68

  * more autopkgtest fixes/preparations for new architectures:
    - debian/tests/uicheck-{sc,sw}: revert timeout hack for armhf since it's
      ran on arm64 workers.
    - debian/tests/control: move ...
    - debian/tests/control.in: ... here and mark Java-using tests with
      Architecture:
    - debian/tests/odk-build-examples*: split non-Java and Java tests and mark
      Java test with Architecture:
    - debian/tests/junit, odk-build-examples-java: skip it if using a Zero-using
      architecture

 -- Rene Engelhard <rene@debian.org>  Sun, 01 Nov 2020 22:20:53 +0100

libreoffice (1:7.0.3-2) unstable; urgency=medium

  * debian/patches/liborcus-0.16.diff: backport liborcus 0.16.1 patch
    from master, too to fix 32bit builds (e.g. on buster-backports)
  * debian/patches/oox-crypto-bigendian.diff: move ...
  * debian/patches/bigendian.diff: ... here and backport more upstream commits
    from master

  * debian/rules:
    - enable pdfium on all architectures since configure in master says
      "Disable building PDFium. Results in unsecure PDF signature
      verification."
  * debian/tests/uicheck-{sc,sw}: add timeout hack from smoketest also here
    for armhf

 -- Rene Engelhard <rene@debian.org>  Sun, 01 Nov 2020 17:30:23 +0100

libreoffice (1:7.0.3-1) unstable; urgency=medium

  * LibreOffice 7.0.3 final release (identical to rc1)

  * upload to unstable

  * debian/patches/fix-non-pdfium-build.diff: backport from master; as name
    says
  * debian/rules:
    - remove obsolete SHLIBS_OVERRIDE += -Xunordf (closes: #966087, #968546)

 -- Rene Engelhard <rene@debian.org>  Thu, 29 Oct 2020 17:11:47 +0100

libreoffice (1:7.0.3~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - make build-depends for libfoo-x.y.pc-using packages explicitely
      libfoo (>= x.y), libfoo (<< x.y+1) to help autopkgtest to find the
      right combination...

 -- Rene Engelhard <rene@debian.org>  Thu, 22 Oct 2020 17:01:48 +0200

libreoffice (1:7.0.2-4) unstable; urgency=medium

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Sun, 18 Oct 2020 10:33:19 +0200

libreoffice (1:7.0.2-3) experimental; urgency=medium

  * debian/patches/liborcus-0.16.diff: build with liborcus 0.16
  * debian/rules, debian/shlibs.override.orcus: adapt for above

 -- Rene Engelhard <rene@debian.org>  Fri, 16 Oct 2020 16:38:46 +0200

libreoffice (1:7.0.2-0ubuntu1) groovy; urgency=medium

  * New upstream release
  * Update yaru icon style "2010-10-11" (LP: #1899456)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 12 Oct 2020 09:56:14 +0200

libreoffice (1:7.0.2-2) unstable; urgency=medium

  * debian/control.in:
    - add Conflicts against pre-7.0 packages with configs (closes: #972043)

 -- Rene Engelhard <rene@debian.org>  Sun, 11 Oct 2020 22:34:17 +0200

libreoffice (1:7.0.2-1) unstable; urgency=medium

  * LibreOffice 7.0.2 final release (identical to rc2)

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Thu, 08 Oct 2020 17:23:19 +0200

libreoffice (1:7.0.2~rc2-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/patches/oox-crypto-bigendian.diff: add patch from upstream master
    to fix oox crypto (and thus CppunitTest_sw_ooxmlencryption) on s390x

 -- Rene Engelhard <rene@debian.org>  Wed, 30 Sep 2020 18:43:36 +0200

libreoffice (1:7.0.2~rc1-3) experimental; urgency=medium

  * debian/rules:
    - Actually add missing ifeq "$(DEB_HOST_ARCH)" "armhf"

 -- Rene Engelhard <rene@debian.org>  Thu, 17 Sep 2020 20:28:18 +0200

libreoffice (1:7.0.2~rc1-2) experimental; urgency=medium

  * debian/rules:
    - fix SYSTEM_GCC_VERSION detection

 -- Rene Engelhard <rene@debian.org>  Thu, 17 Sep 2020 20:28:18 +0200

libreoffice (1:7.0.2~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - also use --disable-skia on armel on buster-backports
    - force noopt (thus also build with --disable-optimized) on armhf and
      use default gcc again
    - stop creating /usr/lib/libreoffice/share/registry/README
  * debian/libreoffice-common.links.in:
    debian/libreoffice-common.maintscript: add a symlink
    /usr/lib/libreoffice/share/registry -> /etc/libreoffice/registry
    since some software (e.g. LibreOffice Onlines loolwsd) doesn't honour the
    path set in LOs config (closes: #969653)

 -- Rene Engelhard <rene@debian.org>  Wed, 16 Sep 2020 19:59:51 +0200

libreoffice (1:7.0.2~rc2-0ubuntu1) groovy; urgency=medium

  * New upstream rc release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 01 Oct 2020 08:50:06 +0200

libreoffice (1:7.0.1-0ubuntu1) groovy; urgency=medium

  * New upstream release
  * Add Yaru style

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 28 Aug 2020 09:09:45 +0200

libreoffice (1:7.0.1-1) unstable; urgency=medium

  * New upstream release

  * debian/liblibreoffice-java.poms: actually add to install the pom...
  * debian/control.in:
    - bump ure dependency for -core to (>= 1:7.0.0) (closes: #969244)
    - remove article from libofficebean-javas Description:
  * debian/*.lintian-overrides:
    - override "codeless-jar", manifest-only jar is intended here
    - update some overrides

 -- Rene Engelhard <rene@debian.org>  Thu, 03 Sep 2020 09:43:55 +0200

libreoffice (1:7.0.1~rc1-2) unstable; urgency=medium

  * debian/control.in:
    - fix Conflicts against *-unbundled, actually AOO still calls it
      openoffice.org-unbundled and remove libreoffice-unbundled since it's
      apparently not used anymore

  * Merge from Ubuntu:
    - debian/rules:
      + Use gcc/g++-9 on armhf
    (only when running the tests, though)

 -- Rene Engelhard <rene@debian.org>  Sun, 23 Aug 2020 22:00:45 +0200

libreoffice (1:7.0.1~rc1-0ubuntu2) unstable; urgency=medium

  * Rebuild with the new poppler soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 10 Sep 2020 17:31:27 +0200

libreoffice (1:7.0.1~rc1-0ubuntu1) groovy; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 15 Aug 2020 18:45:42 +0200

libreoffice (1:7.0.1~rc1-1) unstable; urgency=medium

  * New upstream release candidate

  * debian/rules: bump libnumbertext build-dep to 1.0.6 and use internal
    libnumbertext for buster-backports

 -- Rene Engelhard <rene@debian.org>  Fri, 07 Aug 2020 19:30:24 +0200

libreoffice (1:7.0.0-1) unstable; urgency=medium

  * New upstream release
    - reverts the "Personal edition" nonsense (closes: #965235)

  * debian/patches/no-opencl-per-default.diff: as name says, disable OpenCL
    per default. Prompted by
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=954849#41 ff.
  * debian/tests/control: use libreoffice-l10n-zh-tw instead of
    libreoffice-l10n-ja to test a xx-YY locale so that stuff like #964944
    is noticed.
  * debian/rules:
    - remove Education;Science; from libreoffice-math.desktop (closes: #965338)
    - build-depend on qtchoser and export QT_SELECT_5 (again) for
      buster-backports

 -- Rene Engelhard <rene@debian.org>  Sun, 01 Aug 2020 15:02:40 +0200

libreoffice (1:7.0.0~rc2-1) unstable; urgency=medium

  * New upstream release candidate

  * debian/control*.in:
    - fix "compatibility" spelling and one s/package/library/ for consistency.
    - add explicit depends on liblibreoffice-java for documentation purposes
  * debian/rules:
    - symlink oo-ldap.xcd.sample and oo-ad-ldap.xcd.sample to
      in /etc/libreoffice/registry so that they are not hidden in
      /usr/lib/libreoffice/share/.registry
    - move /usr/lib/libreoffice/share/registry/README creation later in rules
      so that it doesn't get hidden in /usr/lib/libreoffice/share/.registry
    - fix adding the ucf snippets to zh-CN,zh-TW etc (closes: #964944)
    - update jh_classpath calls for libreoffice.jar

 -- Rene Engelhard <rene@debian.org>  Wed, 15 Jul 2020 18:31:45 +0000

libreoffice (1:7.0.0~rc1-5) unstable; urgency=medium

  * debian/control.in:
    - fix whitespace

 -- Rene Engelhard <rene@debian.org>  Wed, 08 Jul 2020 06:29:17 +0200

libreoffice (1:7.0.0~rc1-4) unstable; urgency=medium

  * debian/patches/disable-shortcuts_tab_navigation-uitest.diff: as
    name says, hangs in autopkgtest (or chroot), works in the build...

  * debian/rules:
    - use --with-extra-buildid instead of --with-build-version
  * debian/control*.in:
    - make all packages having (moved) config files depend on
      libreoffice-common (>= 1:7.0.0~alpha~) (closes: #964471)

 -- Rene Engelhard <rene@debian.org>  Tue, 07 Jul 2020 21:00:43 +0200

libreoffice (1:7.0.0~rc1-3) unstable; urgency=medium

  * debian/watch: follow rcs

  * debian/control*.in:
    - add Breaks:/Replaces: openclipart-libreoffice (<= 1:0.18+dfsg-17)
      (closes: #964251)
    - fix -dev-gui Breaks

 -- Rene Engelhard <rene@debian.org>  Sat, 04 Jul 2020 23:05:58 +0200

libreoffice (1:7.0.0~rc1-2) unstable; urgency=medium

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Sat, 04 Jul 2020 10:17:27 +0200

libreoffice (1:7.0.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/tests/patches/java-subsequentcheck-standalone.diff: unfuzzy.
    use $(shell .. | sed) instead of $(subst ..) since the latter doesn't
    work anymore...
  * debian/patches/disable-sc-sw-ScriptOrganizer-test.diff,
    debian/patches/sc-disable-UITest_options.diff: remove, works
    now (probably because of java-common below..)

  * debian/rules:
    - remove unused/-needed CLANG= setting and export CLANG_CC/CLANG_CXX
      instead if needed (don't set it for default clang version)
    - fix adding {cjk,ctl,ctlseqcheck}_*.xcd to -l10n-* .ucf files
    - make make check failures fatal again (on amd64/arm64)
    - don't use clang for skia on armel and build-conflict against clang on
      it (see #963162, #963167)

  * debian/tests/control:
    - fix uicheck-*:
      - add new dependencies (cui needs -writer now, too,
        sw needs calc for uno.InsertObject)
      - add libreoffice-java-common to uicheck-{sc,sw} for RunMacros dialog
        test (doesn't fail without but just prints an exception but...)
    - disable "smoketest" for now

  * debian/control*.in:
    - s/progamming/programming/ (closes: #963753)
    - make -common break libreoffice-l10n (<< 7.0) (and other packages having
      config files moved) due to registry move to /etc

  * debian/libreoffice-l10n.ucf.in: handle
    /etc/libreoffice/registry/res/registry_@ISO@.xcd so that the respective
    language actually gets active

  * debian/*.symbols: remove ure (closes: #963895) even though it means
    r-deps need to add dependencies manually...

 -- Rene Engelhard <rene@debian.org>  Thu, 02 Jul 2020 22:00:34 +0200

libreoffice (1:7.0.0~beta2-2) experimental; urgency=medium

  * debian/patches/apparmor-cleanups.diff: #include <abstractions/user-tmp>
    (closes: #962903)

  * debian/rules:
    - re-enable CoinMP

 -- Rene Engelhard <rene@debian.org>  Sun, 21 Jun 2020 13:24:03 +0200

libreoffice (1:7.0.0~beta2-1) experimental; urgency=medium

  * New upstream beta release
    - fixes signing existing PDFs (closes: #955272)
    - sets A4 in extras/source/shellnew templates (closes: #961473)

  * debian/rules:
    - revert add conditional and build-dep for new box2d, not used in 7.0
    - use default libboost*-dev (>= 1.71) in gcc 10 case now that we have
      a matching default boost

 -- Rene Engelhard <rene@debian.org>  Thu, 18 Jun 2020 21:43:26 +0200

libreoffice (1:7.0.0~beta1-1) experimental; urgency=medium

  * New upstream beta release

  * debian/rules:
    - build l10n again
    - add conditional and build-dep for new box2d
    - bump build-dependency to Java 1.9 for module-info support
    - make liblibreoffice-java depend on libunoloader-java
  * debian/copyright: add dtoa.

  * merge from Ubuntu:
    - Don't use main.xcd configured with --disable-gui

 -- Rene Engelhard <rene@debian.org>  Wed, 27 May 2020 22:24:38 +0200

libreoffice (1:7.0.0~alpha1-2) experimental; urgency=medium

  * debian/patches/libreoffice.jar-pom.diff: add pom for new
    libreoffice.jar
  * debian/patches/bigendian-ustrbuf-hxx.diff: add missing include
    on bigendian architectures
  * debian/patches/skia-SkOpts_crc32.diff: add missing SkOpts_crc32
    to fix skia build on arm

  * debian/control*in:
    - make -librelogo, -sdbc-postgresql and -report-builder explicitly
      depend on libreoffice-common (>= 1:7.0.0~alpha~) as otherwise
      /etc/libreoffice/registry might not exist yet
  * debian/copyright:
    - remove tango, add sukapura
    - add skia
  * debian/rules:
    - install libreoffice.jar using mh_* instead of jh_installlibs now
      that it has a pom
    - build with --disable-skia on bigendian architectures since skia
      upstream doesn't care about bigendian and make clang build-dep
      little endian archs-only.

 -- Rene Engelhard <rene@debian.org>  Sun, 10 May 2020 10:36:49 +0200

libreoffice (1:7.0.0~alpha1-1) experimental; urgency=medium

  * New upstream alpha release

  * debian/rules, debian/*.doc-base*: remove, optional now
  * debian/rules:
    - install opens___.ttf into /usr/share/fonts/libreoffice
      instead of /usr/share/fonts/openoffice
    - pretty-print /usr/lib/libreoffice/program/registry xcds for
      preparation of ucf usage; populate libreoffice-l10n-*.ucf
    - run dh_ucf; rename original registry from registry to .registry;
      make LO look directly in /etc/libreoffice/registry
    - add .bug-script files running ucfq
    - remove redland dependency workaround; apparently not needed anymore
    - the skia build picks up clang if present, explicitly build-depend on
      clang for it - even if building with gcc otherwise
    - make report-builder-bin-nogui depend on -base-nogui | -base instead
      of just -base...
    - build only with en-US for now
  * debian/control.in, debian/control.ure.in, debian/rules: adapt for
    jurt.jar,juh.jar,ridl.jar and unoil.jar being dummies for the new
    libreoffice.jar now, keep libjurt-java, libjuh-java, libridl-kava and
    libunoil-java as Depends/Recommends for compatibility for now
  * debian/rules, debian/control.sdk.in: create new libreoffice-dev-gui
    package only allowing -core as dependency and move gengal and
    ui-previewer there (closes: #952347)
  * debian/*.ucf, debian/*.ucf.in: add files for dh_ucf
  * debian/libreoffice-common.dirs: create /etc/libreoffice/registry{,/res}
  * debian/control.in: build libreoffice-nogui metapackage
  * debian/control.in, debian/rules: remove tango icon package, it's gone
    upstream (closes: #947489)

 -- Rene Engelhard <rene@debian.org>  Wed, 06 May 2020 20:00:34 +0000

libreoffice (1:6.4.5-0ubuntu2) groovy; urgency=medium

  * Build with GCC-9 to work around 1891623

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 13 Aug 2020 09:41:11 +0100

libreoffice (1:6.4.5-0ubuntu1) groovy; urgency=medium

  * New upstream release

 -- Heather Ellsworth <heather.ellsworth@canonical.com>  Tue, 21 Jul 2020 15:15:05 -0600

libreoffice (1:6.4.5-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream release (LP: #1886692)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 06 Jul 2020 09:00:10 +0200

libreoffice (1:6.4.5-1) unstable; urgency=medium

  * LibreOffice 6.4.5 final release

  * debian/control.librelogo.in:
    - s/progamming/programming/ (closes: #963753)

 -- Rene Engelhard <rene@debian.org>  Tue, 30 Jun 2020 15:28:30 +0000

libreoffice (1:6.4.5~rc1-2) unstable; urgency=medium

  * debian/patches/apparmor-cleanups.diff: #include <abstractions/user-tmp>
    (closes: #962903)
  * debian/rules:
    - re-enable CoinMP
 
 -- Rene Engelhard <rene@debian.org>  Sun, 21 Jun 2020 13:07:16 +0200

libreoffice (1:6.4.5~rc1-1) unstable; urgency=medium

  * New upstream release candidate
    - sets A4 in extras/source/shellnew templates (closes: #961473)
    - fixes signing existing PDFs (closes: #955272)

  * debian/rules:
    - use default libboost*-dev (>= 1.71) in gcc 10 case now that we have
      a matching default boost

 -- Rene Engelhard <rene@debian.org>  Thu, 11 Jun 2020 17:40:43 +0200

libreoffice (1:6.4.4-0ubuntu1) groovy; urgency=medium

  * Merge ubuntu-focal-6.4 to build for groovy

 -- Heather Ellsworth <heather.ellsworth@canonical.com>  Tue, 02 Jun 2020 09:54:53 -0600

libreoffice (1:6.4.4-0ubuntu0.20.04.1) focal; urgency=medium

  [ Heather Ellsworth]
  * New upstream release (LP: #1881007)

  [ Rico Tzschichholz ]
  * Don't use main.xcd configured with --disable-gui (LP: #1869561)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 14 May 2020 14:10:31 +0200

libreoffice (1:6.4.4-1) unstable; urgency=medium

  * New upstream release

  * debian/rules:
    - make report-builder-bin-nogui depend on -base-nogui | -base instead
      of just -base... 

  * merge from Ubuntu:
    - Don't use main.xcd configured with --disable-gui  

 -- Rene Engelhard <rene@debian.org>  Thu, 21 May 2020 13:43:43 +0200

libreoffice (1:6.4.4~rc1-1) unstable; urgency=medium

  * Merge ubuntu-focal-6.4 to build for groovy

 -- Heather Ellsworth <heather.ellsworth@canonical.com>  Tue, 02 Jun 2020 09:54:53 -0600

libreoffice (1:6.4.4-0ubuntu0.20.04.1) focal; urgency=medium

  [ Heather Ellsworth]
  * New upstream release (LP: #1881007)

  [ Rico Tzschichholz ]
  * Don't use main.xcd configured with --disable-gui (LP: #1869561)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 14 May 2020 14:10:31 +0200

libreoffice (1:6.4.4~rc1-1) unstable; urgency=medium

  * New upstream release candidate
    - fixes size of gtk3 print dialog (closes: #955981)

  * debian/patches/gcc10-replace-boost::bimap-in-sdext.diff: backport from master;
    fix build with gcc 10 - see #957475

  * debian/watch:
    - add options for alpha, beta and rc "releases" using dev-builds.
  * debian/scripts/fix_component_tarballs.sh: add new - re-create the component
    tarballs after uscan/mk-origtgz
  * debian/rules:
    - use new scripts/fix_component_tarballs.sh after uscan in get-orig-source
    - use boost 1.71 (and internal mdds) if gcc is 10 - see #957475

 -- Rene Engelhard <rene@debian.org>  Wed, 29 Apr 2020 21:28:30 +0200

libreoffice (1:6.4.3-0ubuntu0.20.04.1) focal; urgency=medium

  [ Heather Ellsworth ]
  * New upstream release (LP: #1874285)

  [ Rico Tzschichholz ]
  * libreoffice-common: Add Replaces libreoffice-base (<< 1:6.4.0~beta1-2~)

 -- Heather Ellsworth <heather.ellsworth@canonical.com>  Wed, 22 Apr 2020 10:05:23 -0600

libreoffice (1:6.4.3-1) unstable; urgency=medium

  * LibreOffice 6.4.3 final release (identical to rc2)

  * upload to unstable

  * debian/patches/fix-lo-xlate-lang-nb.diff: norwegian -> norwegian_bokmal
    for nb

  * merge from Ubuntu:
    - libreoffice-common: Add Replaces libreoffice-base (<< 1:6.4.0~beta1-2~)
      (closes: #956450)

 -- Rene Engelhard <rene@debian.org>  Fri, 10 Apr 2020 18:51:13 +0200

libreoffice (1:6.4.3~rc2-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - fix gdb helpers ending up in both libreoffice-core-nogui-dbgsym
      and libreoffice-writer-nogui-dbgsym

 -- Rene Engelhard <rene@debian.org>  Tue, 07 Apr 2020 18:12:32 +0200

libreoffice (1:6.4.3~rc1-3) experimental; urgency=medium

  * tests/patches/uicheck-standalone.diff: make apply again

  * merge from Ubuntu:
    - libreoffice-math: Add Breaks/Replaces libreoffice-common
    - debian/patches/poppler-0.86.diff: Fix build with poppler 0.86.0

 -- Rene Engelhard <rene@debian.org>  Sat, 28 Mar 2020 10:52:28 +0100

libreoffice (1:6.4.3~rc1-2) experimental; urgency=medium

  * debian/rules:
    - fix redland dependencies for libreoffice-core-nogui

 -- Rene Engelhard <rene@debian.org>  Thu, 26 Mar 2020 17:34:54 +0100

libreoffice (1:6.4.3~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  [ Rene Engelhard ]
  * debian/patches/Fix-build-with-boost-lesser-than-1.68.diff: add from
    gerrit, thanks Rico Tschichholz

  * debian/rules:
    - don't delete libuuilo.so in -core-nogui (closes: #954670)
    - don't ogltrans stuff in -impress, OGLTrans.so isn't built
    - use default boost (and thus system-mdds) again and revert
      BOOST_MINVER= (>= 1.68) change

  [ Jochen Sprickerhof ]
  * debian/control.in:
    - Prefer libreoffice-core-nogui for -nogui variants
      Closes: #954319
    - Drop -core-nogui in non -nogui packages (if -nogui exists)
    - Fix report_builder and firebird nogui depends

 -- Rene Engelhard <rene@debian.org>  Thu, 26 Mar 2020 15:47:27 +0100

libreoffice (1:6.4.2-0ubuntu3) focal; urgency=medium

  * Prevent -nogui and non -nogui mix up (LP: #1869652)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 30 Mar 2020 10:16:03 +0200

libreoffice (1:6.4.2-0ubuntu2) focal; urgency=medium

  * Merge with debian
  * libreoffice-math: Add Breaks/Replaces libreoffice-common (<< 1:6.4.2~rc1~)
    (LP: #1869357)
  * debian/patches/poppler-0.86.diff: Fix build with poppler 0.86.0

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 27 Mar 2020 08:31:30 +0100

libreoffice (1:6.4.2-2) unstable; urgency=medium

  * debian/control.in:
    - make libreoffice-common Breaks: libreoffice-core (<< 1:6.4.2~rc1)
      (closes: #954323)
    - also add Breaks/Replaces libreoffice-common (<< 1:6.4.2~rc1~) to
      -nogui (for now)
    - allow libreoffice-draw-nogui in -impress-noguis Depends:
      (closes: #954318)

 -- Rene Engelhard <rene@debian.org>  Fri, 20 Mar 2020 15:23:39 +0000

libreoffice (1:6.4.2-0ubuntu1) focal; urgency=medium

  * New upstream release
  * Keep boost and mdds in ubuntu

 -- Heather Ellsworth <heather.ellsworth@canonical.com>  Mon, 16 Mar 2020 13:39:41 -0600

libreoffice (1:6.4.2-1) unstable; urgency=medium

  * LibreOffice 6.4.2 final (identical to rc2)

  * debian/patches/gengal-message-core.diff: print message and exit with
    an error if -core-nogui (and not -core) is installed. See #952347

  * merge from Ubuntu:
    - Add armhf to OOO_NOGUI_ARCHS

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Thu, 19 Mar 2020 16:01:22 +0100

libreoffice (1:6.4.2~rc2-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/tests/control:
    - make smoketest depend on -writer and -math (not their -nogui variants)

 -- Rene Engelhard <rene@debian.org>  Wed, 11 Mar 2020 16:21:48 +0000

libreoffice (1:6.4.2~rc1-2) experimental; urgency=medium

  * debian/patches/Revert-tdf130839-Corrects-second-level-left-margin-i.patch:
    remove again.

  * debian/tests/control: add missing python3-uno to uitest-cui and missing
    libreoffice-l10n-{he,ja} to uicheck-uitest tests
  * debian/rules:
    - explicitely build with libboost1.71-dev (and therefore use internal
      mdds for now) and set BOOST_MINVER= (>= 1.68)
  * debian/source/include-binaries:
    - include tarballs/mdds-1.5.0.tar.bz2

 -- Rene Engelhard <rene@debian.org>  Sat, 07 Mar 2020 22:53:34 +0100

libreoffice (1:6.4.2~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/patches/disable-some-sc-tests-with-internal-cppunit.diff:
    cleanup - remove; affected only internal cppunit and stable(-backports)
    already builds with system one
  * debian/patches/Revert-tdf130839-Corrects-second-level-left-margin-i.patch:
    temporarily revert upstream patch until we either have boost >= 1.68 as
    default or it can be built with boost < 1.68
  * debian/patches/sc-disable-UITest_options.diff: temporarily disable options
    tests, hang (but works in a "normal" system)

  * debian/rules:
    - move soffice.cfg modules to corresponding packages and remove *.ui
      in the -nogui packages
    - package breeze_dark_svg and sifr_dark_svg into the respective
      packages
    - move /usr/lib/libreoffice/program/postgresql-sdbc.ini to
      /etc/libreoffice
    - remove fonts-alef from FONTS_RECOMMENDS again; no idea where I saw it
      - it's not in Debian (yet)
  * debian/control.in:
    - update for soffice.cfg moves
  * debian/tests/*: split uicheck into tests per module containing uitests.
    hopefully helps for arm64 test timeout

 -- Rene Engelhard <rene@debian.org>  Sun, 01 Mar 2020 15:09:06 +0100

libreoffice (1:6.4.1-0ubuntu1) focal; urgency=medium

  * New upstream release 

 -- Heather Ellsworth <heather.ellsworth@canonical>  Thu, 27 Feb 2020 12:45:12 -0700

libreoffice (1:6.4.1-1) unstable; urgency=medium

  * LibreOffice 6.4.1 final release

  * debian/patches/disable-sc-ScriptOrganizer-test.diff: move ...
  * disable-sc-sw-ScriptOrganizer-test.diff: ... here and also disable it
    for sw; exhibiting on buster-backports
  * debian/patches/make-package-modules-not-suck.diff: add missing comma
    so that libsduilo.so is actually installed into -draw instead of
    -core
  * debian/patches/python3.8.2.diff: go sure; backport python 3.8.2
    initialization fix from master

  * debian/control.in:
    - make -draw Replaces: -core (<< 1:6.4.1~rc1-3)
    - make -base Pre-Depends: dpkg (>= 1.19.1) (closes: #951149)
  * debian/libreoffice-nlpsolver.bug-script.in: add analogous to
    wiki-publisher
  * debian/libreoffice-ogltrans.bug-script.in: remove ...
  * debian/libreoffice-impress.bug-scrip.in: ... and merge here.

 -- Rene Engelhard <rene@debian.org>  Sat, 22 Feb 2020 14:46:04 +0100

libreoffice (1:6.4.1~rc1-2) unstable; urgency=medium

  * update Replaces: in -help-* to libreoffice-help-common (<< 1:6.4.1~rc1-1)
    (closes: #950833)

 -- Rene Engelhard <rene@debian.org>  Fri, 07 Feb 2020 16:26:56 +0100

libreoffice (1:6.4.1~rc1-1) unstable; urgency=medium

  * New upstream release candidate
    - fixes opengl slide transitions with glm >= 0.9.9 (closes: #917927)

  * debian/patches/no-packagekit-per-default.diff: revert configure revert;
    add configuration item and use it (closes: #950225)
  * debian/patches/debian-vendor.diff: handle Debians vendor correctly, extracted
    from old no-packagekit-per-default.diff

  * debian/rules:
    - don't install libdbulo.so in -base-nogui (contains Base UI)
    - generailize OOO_VENDOR setting to use DEB_VENDOR/DEB_PARENT_VENDOR
    - add fonts-alef to he's FONT_RECOMMENDS
    - remove appdata files in *-nogui

 -- Rene Engelhard <rene@debian.org>  Wed, 05 Feb 2020 22:27:44 +0100

libreoffice (1:6.4.0-0ubuntu6) focal; urgency=medium

  * No-change rebuild for icu update.

 -- Marcus Tomlinson <marcus.tomlinson@canonical.com>  Thu, 13 Feb 2020 15:43:58 +0000

libreoffice (1:6.4.0-0ubuntu5) focal; urgency=medium

  [ Rico Tzschichholz ]
  * Add transitional packages for -gtk2 and -kde4 for upgrades from bionic

 -- Marcus Tomlinson <marcus.tomlinson@canonical.com>  Wed, 12 Feb 2020 09:00:12 +0000

libreoffice (1:6.4.0-0ubuntu4) focal; urgency=medium

  * Temporarily disable extension tests on armhf

 -- Marcus Tomlinson <marcus.tomlinson@canonical.com>  Mon, 10 Feb 2020 15:01:20 +0000

libreoffice (1:6.4.0-0ubuntu3) focal; urgency=medium

  * Add armhf to OOO_NOGUI_ARCHS

 -- Marcus Tomlinson <marcus.tomlinson@canonical.com>  Fri, 07 Feb 2020 09:02:03 +0000

libreoffice (1:6.4.0-0ubuntu2) focal; urgency=medium

  * Remove dependency on universe package: libqrcodegencpp1

 -- Marcus Tomlinson <marcus.tomlinson@canonical.com>  Mon, 03 Feb 2020 16:51:21 +0000

libreoffice (1:6.4.0-0ubuntu1) focal; urgency=medium

  * New upstream release

  [ Marcus Tomlinson ]
  * debian/patches/mysql-80-compatibility.patch: removed as upstream now accounts
    for this.

  [ Rico Tzschichholz ]
  * Drop obsolete .gitignore
  * Remove objects before install to reduce disk usage

 -- Marcus Tomlinson <marcus.tomlinson@canonical.com>  Fri, 31 Jan 2020 22:23:21 +0000

libreoffice (1:6.4.0-1) unstable; urgency=medium

  * LibreOffice 6.4.0 final release (identical to rc3)

  * debian/patches/disable-sc-ScriptOrganizer-test.diff: disable sc
    ScriptOrganizer test uitest for now - fails on arm64 buildds
    (and only in sc, not in sw) but works on the porterbox...
  * debian/libreoffice-l10n-{in,kmr,za}.maintscript: fix (closes: #946470)

 -- Rene Engelhard <rene@debian.org>  Wed, 29 Jan 2020 16:25:26 +0100

libreoffice (1:6.3.4-0ubuntu2) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 06:04:51 +0000

libreoffice (1:6.4.0~rc3-1) unstable; urgency=medium

  * New upstream release candidate

 -- Rene Engelhard <rene@debian.org>  Thu, 23 Jan 2020 18:08:28 +0100

libreoffice (1:6.4.0~rc2-2) unstable; urgency=medium

  * oops, reupload with all languages in control....

 -- Rene Engelhard <rene@debian.org>  Thu, 09 Jan 2020 19:46:13 +0000

libreoffice (1:6.4.0~rc2-1) unstable; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - stop special-casing ure, uno-libs-private, libuno* epoch-wise to avoid
      confusion (especially since it was missed to apply that special-casing to
      lib*-java anyways)
    - use filter for setting BUILD_NOGUI_PACKAGES and add ppc64 to OOO_NOGUI_ARCHS
      (closes: #948120)
    - add missing dh_python3 call for python3-access2base
   * debian/control.*.in:
     - make libjuh-java Depends: ure since it loadLibrary()'s libjuh.so;
       same with libjurt-java (libjava_uno.so)
     - add some explicit dependencies on the new java packages to where they are
       mentioned in Class-Path:
     - suggest odbc-mdbtools instead of just mdbtools
     - remove obsolete alternatives from ${java-runtime-depends} and suggest that
       instead of java5-runtime in ure
   * debian/rules, debian/control.in:
     - make libofficebean-java arch-dep and install libofficebean.so there
       (into /usr/lib/jni with a symlink from /usr/lib/libreoffice/program);
       make libreoffice-officebean a transitional package for libofficebean-java

 -- Rene Engelhard <rene@debian.org>  Wed, 08 Jan 2020 17:22:52 +0000

libreoffice (1:6.4.0~rc1-6) unstable; urgency=medium

  * debian/control.in, debian/control.ure.in:
    - fix typo: s/java:Depednds/java:Depends/g
  * debian/rules:
    - fix the URE/unoil/officebean jar splitout to actually work as
      expected (closes: #947909). Fix smoketest.jar move to
      -smoketest-data
    - don't try to remove the bogus base-files dependencies manually,
      use jh_depends -Xbase-files...
  * debian/control.in, debian/control.ure.in:
    - update Breaks:/Replaces: and add "reverse" Breaks:/Replaces:, too

 -- Rene Engelhard <rene@debian.org>  Fri, 03 Jan 2020 19:34:21 +0100

libreoffice (1:6.4.0~rc1-5) unstable; urgency=medium

  * debian/control.ure.in:
    - fix Breaks:/Replaces: on ure, it has no epoch... (closes: #947853)

 -- Rene Engelhard <rene@debian.org>  Tue, 31 Dec 2019 18:41:06 +0000

libreoffice (1:6.4.0~rc1-4) unstable; urgency=medium

  * debian/rules:
    - limit parallelism for running the tests to 1 so one can see
      directly which test fails/hangs; keep the second run in case
      of a failure nevertheless for flaky tests...
    - disable coinmp for now, tests hang

 -- Rene Engelhard <rene@debian.org>  Mon, 30 Dec 2019 16:54:09 +0100

libreoffice (1:6.4.0~rc1-3) unstable; urgency=medium

  readd test fixes which somewow got lost in preparation of -2:

  * debian/tests/control:
    - smoktest: add missing -nogui and add missing libreoffice-base-nogui
      to Depends:; but use calc and core since the test actually seems to want
      to use something from it
    - junit: use the "GUI" packages
  * debian/control*in:
    - add more Breaks:/Replaces: for the new split-out Java packages (and
      libreoffice-smoketest-data) (closes: #947446)
  * debian/libreoffice-common.doc-base: also add Files:

 -- Rene Engelhard <rene@debian.org>  Fri, 27 Dec 2019 10:51:35 +0100

libreoffice (1:6.4.0~rc1-2) unstable; urgency=medium

  * debian/rules, debian/control*in:
    - make -nogui variant less confusing and create them for all "UI"
      packages (also saves some space since some (not needed for nogui)
      will be gone from -nogui)
  * debian/rules, debian/libreoffice-calc-nogui.lintian-overrides:
    - remove lib*uilo.so and *.desktop from *-nogui
  * debian/tests/control:
    - fix typo
    - use the new -nogui packages created above in the smoketest test

 -- Rene Engelhard <rene@debian.org>  Sun, 22 Dec 2019 18:37:42 +0100

libreoffice (1:6.4.0~rc1-1) unstable; urgency=medium

  * LibreOffice 6.4.0 release candidate 1
  * upload to unstable

  * debian/patches/sc-opengl-optional.diff:  don't rely on
    isVCLOpenGLEnabled if HEAVE_FEATURE_UI isn't defined

  * debian/control.in, debian/rules: create a libreoffice-calc-nogui
    for use with libreoffice-core-nogui
  * debian/rules:
    - cleanup, introduce a BUILD_NOGUI_PACKAGES=y/n and only
      build -nogui on amd64/i386/arm64/s390x/ppc64el so save build cycles on
      the other architectures (more or less double build)
    - add explicit libgl-dev build-dep

  * debian/control.firebird.in: allow libreoffice-core-nogui
  * debian/control.in:
    - allow libreoffice-core-nogui for libreoffice-dev
    - move python-access2base to "python" and libreoffice-sdbc-mysql to
      "database" like the other -sdbc-*
  * debian/tests/control:
    - improve test depends for nogui:
      + make odk-test-examples/test-extension-* depend on
        libreoffice-core-nogui only
      + make smoketest and junit depend on libreoffice-{calc,core}-nogui
        instead of their GUI counterparts and use the needed packages
        instead of the "libreoffice" metapackage
    - make odk-test-examples depend on libofficebean-java instead
      of libreoffice-officebean

 -- Rene Engelhard <rene@debian.org>  Thu, 19 Dec 2019 18:59:30 +0100

libreoffice (1:6.4.0~beta1-4) experimental; urgency=medium

  * re-enable introspection which was accidentially kept disabled after a
    python3.8 test rebuild...
  * re-enable building of the "test packages"
    (-smoketest-data, -subsequentcheckbase)

 -- Rene Engelhard <rene@debian.org>  Sun, 15 Dec 2019 10:29:19 +0000

libreoffice (1:6.3.4-0ubuntu1) focal; urgency=medium

  * New upstream release

 -- Marcus Tomlinson <marcus.tomlinson@canonical.com>  Thu, 12 Dec 2019 18:21:58 +0000

libreoffice (1:6.4.0~beta1-3) experimental; urgency=medium

  * debian/patches/fix-build-with-poppler-0.83.diff: as name says

  * debian/rules, debian/control: bump dh compat to 12 and use
    debhelper-compat (= 12) in Build-Depends ...
  * debian/compat: ... and remove this
  * debian/rules:
    - run dh_dwz again as it seems to work now
    - add hyphen-en-us <!nocheck> to Build-Depends; used by writer tests
  * debian/upstream/metadata: add
  * debian/*.maintscript: fix again and update version
    (closes: #946470) (thanks Andreas Beckmann)

  * merge from Ubuntu:
    - Recommend fonts-noto-extra (fixes various Impress templates)

 -- Rene Engelhard <rene@debian.org>  Mon, 09 Dec 2019 18:10:48 +0100

libreoffice (1:6.3.3-0ubuntu2) focal; urgency=medium

  [ Rene Engelhard ]
  * debian/patches/Switch-mdds-to-1.5.0-and-liborcus-to-0.15.0.diff:
    as name says
  * debian/rules, debian/shlibs.override.orcus: adapt for above

  [ Marcus Tomlinson ]
  * Recommend fonts-noto-extra (fixes various Impress templates)

 -- Marcus Tomlinson <marcus.tomlinson@canonical.com>  Tue, 26 Nov 2019 08:57:59 +0000

libreoffice (1:6.4.0~beta1-2) experimental; urgency=medium

  * debian/control*in, debian/*.lintian-overrides: fix some minor lintian
    stuff after the library splitout
  * debian/control.test-packages.in, debian/rules: move smoketest.jar into
    libreoffice-smoketest-data
  * debian/control.in, debian/rules, debian/libreoffice-base.p*.in:
    simplify and revert diversion of AccessBase basic stuff.
  * debian/libreoffice-common.docs, debian/libreoffice-common.doc-base,
    debian/patches/add-access2base-doc.diff: install
    www.access2base.com/access2base.html into libreoffice-common as doc

 -- Rene Engelhard <rene@debian.org>  Sun, 17 Nov 2019 13:34:51 +0100

libreoffice (1:6.4.0~beta1-1) experimental; urgency=medium

  * debian/rules, debian/tests/control: revert -0reprotestX changes
  * debian/control*in, debian/rules, debian/*.symbols,
    debian/*.lintian-overrides:
    follow best practices and split the uno public libraries into extra
    package per library and move (supposed to be publically importable)
    access2base.py into python3-access2base
  * debian/rules: stop hacking changelog; install complete changelog
    everywhere

 -- Rene Engelhard <rene@debian.org>  Fri, 15 Nov 2019 07:58:41 +0100

libreoffice (1:6.4.0~beta1-0reprotest1) experimental; urgency=medium

  * New upstream beta release

  * debian/rules:
    - add szl to (LANGPACK)ISOS so that we build a Upper Silesian
      l10n when languages get enabled again
  * debian/*.maintscript: fix

 -- Rene Engelhard <rene@debian.org>  Wed, 13 Nov 2019 22:11:29 +0100

libreoffice (1:6.4.0~alpha1-0reprotest4) experimental; urgency=medium

  * debian/patches/ldl.diff: add missing -ldl for --disable-gui builds
    to fix build on 32bit archs...
  * debian/patches/disable-static_assert-on-AtomicCounter-on-armel.diff:
    fix build on armel

 -- Rene Engelhard <rene@debian.org>  Wed, 06 Nov 2019 18:41:06 +0100

libreoffice (1:6.4.0~alpha1-0reprotest3) experimental; urgency=medium

  * debian/rules:
    - fix setting of --without-lxml

 -- Rene Engelhard <rene@debian.org>  Tue, 05 Nov 2019 18:05:49 +0000

libreoffice (1:6.3.3-0ubuntu1) focal; urgency=medium

  * New upstream release

 -- Marcus Tomlinson <marcus.tomlinson@canonical.com>  Fri, 01 Nov 2019 10:31:30 +0000

libreoffice (1:6.4.0~alpha1-0reprotest2) experimental; urgency=medium

  * debian/rules:
    - actually add explicit --no-automatic-dbgsym if BUILD_DBGSYM_PACKAGES != y

 -- Rene Engelhard <rene@debian.org>  Sat, 19 Oct 2019 11:56:49 +0000

libreoffice (1:6.4.0~alpha1-0reprotest1) experimental; urgency=medium

  * New upstream alpha release
    - drops gtk2 support (closes: #885143)
    - fixes the postgresql driver with PostgreSQL 12 (closes: #943873)

  * debian/rules, debian/control*in:
    - follow upstream split of kde5 into kf5+plasma5. (But use -plasma
      only). Add transitional libreoffice-kde5 package
    - remove gtk3_kde5 support since it doesn't fit in the above structure
      now
    - adapt for Java baseline bump to >= 1.8
    - create libreoffice-core-nogui package
  * debian/rules, debian/control.in, debian/*.maintscript:
    stop using --link-doc=. a) for -style-* as they cause a circular dependency
    (closes: #940303) and b) since it doesn't work anymore with the -core-nogui
    alternative
  * debian/rules:
    - add option to build with --disable-gui (as it's now even included in
      upstreams distro-configs/LibreOfficeOnline.conf) for libreoffice-core-nogui;
      re-sort the "GUI-only" build-deps
    - support nojava build profile
    - stop trying --disable-dependency-tracking as we have even more build-steps
      now (nogui!), better safe than sorry

  * debian/rules, debian/tests/control:
    - temporarily disable all languages except en-US,de,he,ja, disable -g
      (and -dbgsym), don't run make check/build the test packages so that we
      hopefully don't timeout in the reproducible builds infrastructure

 -- Rene Engelhard <rene@debian.org>  Thu, 17 Oct 2019 16:18:14 +0000

libreoffice (1:6.3.3~rc1-1) unstable; urgency=medium

  * New upstream release candidate
    - fixes images getting black in some circumstances
      (closes: #941655)

  * debian/scripts/gid2pkgdirs.sh:
    - stop installing /usr/share/mimelnk (closes: #941439)

 -- Rene Engelhard <rene@debian.org>  Sun, 13 Oct 2019 16:39:08 +0000

libreoffice (1:6.3.2-0ubuntu2) eoan; urgency=medium

  * libreoffice-style-sifr should not conflict with the libreoffice-style-hicontrast
    transitional package (LP: #1846555)

 -- Marcus Tomlinson <marcus.tomlinson@canonical.com>  Thu, 03 Oct 2019 21:31:21 +0100

libreoffice (1:6.3.2-0ubuntu1) eoan; urgency=medium

  * New upstream release

 -- Marcus Tomlinson <marcus.tomlinson@canonical.com>  Thu, 26 Sep 2019 15:17:34 +0100

libreoffice (1:6.3.2-1) unstable; urgency=medium

  * LibreOffice 6.3.2 final release

 -- Rene Engelhard <rene@debian.org>  Mon, 23 Sep 2019 12:39:49 +0200

libreoffice (1:6.3.2~rc1-1) unstable; urgency=medium

  * New upstream release candidate

 -- Rene Engelhard <rene@debian.org>  Fri, 06 Sep 2019 16:06:05 +0200

libreoffice (1:6.3.1-0ubuntu2) eoan; urgency=medium

  * libreoffice-help should not depend on any particular browser (LP: #1844520)

 -- Marcus Tomlinson <marcus.tomlinson@canonical.com>  Thu, 19 Sep 2019 00:13:25 +0200

libreoffice (1:6.3.1-0ubuntu1) eoan; urgency=medium

  * New upstream release

 -- Marcus Tomlinson <marcus.tomlinson@canonical.com>  Thu, 12 Sep 2019 15:15:09 +0100

libreoffice (1:6.3.1-1) unstable; urgency=medium

  * LibreOffice 6.3.1 final release (identical to rc2)

  * debian/patches/set-Wl-no-as-needed-for-latomic.diff: move ...
  * debian/patches/latomic.diff: ... here and replace by full configure
    check

  * debian/rules:
    - explicitely build with --with-linker-hash-style=sysv on mips*,
      thanks Aurelien Jarno

  [ merge from Ubuntu ]
  * re-enable make check on armhf

 -- Rene Engelhard <rene@debian.org>  Mon, 02 Sep 2019 19:17:30 +0200

libreoffice (1:6.3.1~rc2-3) unstable; urgency=medium

  * debian/patches/set-Wl-no-as-needed-for-latomic.diff: as name says,
    we need -Wl,--no-as-needed for -latomic (and gcc9 defaults to
    --as-needed..), thanks Adam Borowski

 -- Rene Engelhard <rene@debian.org>  Fri, 30 Aug 2019 20:24:22 +0200

libreoffice (1:6.3.1~rc2-2) unstable; urgency=medium

  * reupload with complete control...

 -- Rene Engelhard <rene@debian.org>  Fri, 30 Aug 2019 18:29:31 +0200

libreoffice (1:6.3.1~rc2-1) unstable; urgency=medium

  * New upstream release candidate
    - fixes Help-About with gtk2 plugin (closes: #934779)
    - fixes CVE-2019-9854/CVE-2019-9855

  * debian/control.in:
    - add kn and ne to libreoffice-l10n-ins depends (closes: #935632)

 -- Rene Engelhard <rene@debian.org>  Fri, 30 Aug 2019 06:28:53 +0200

libreoffice (1:6.3.0-0ubuntu8) eoan; urgency=medium

  * Resolve component mismatches:
    - epiphany-browser <- libreoffice-help-zh-cn
    - fonts-dzongkha <- libreoffice-l10n-dz
    - fonts-hosny-thabit <- libreoffice-l10n-ar

 -- Marcus Tomlinson <marcus.tomlinson@canonical.com>  Thu, 05 Sep 2019 14:50:08 +0100

libreoffice (1:6.3.0-0ubuntu7) eoan; urgency=medium

  * Rebuild for the new poppler soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 28 Aug 2019 18:26:09 +0000

libreoffice (1:6.3.0-0ubuntu6) eoan; urgency=medium

  * No-change rebuild against new EDS ABIs

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 23 Aug 2019 21:42:40 +0100

libreoffice (1:6.3.0-0ubuntu5) eoan; urgency=medium

  * Remove libjs-normalize.css dependancy from libreoffice-help-common (LP: #1841209)

 -- Marcus Tomlinson <marcus.tomlinson@canonical.com>  Fri, 23 Aug 2019 18:13:42 +0100

libreoffice (1:6.3.0-0ubuntu4) eoan; urgency=medium

  * Move ${gstreamer-plugins-suggests} from Recommends to Suggests (LP: #1840966)

 -- Marcus Tomlinson <marcus.tomlinson@canonical.com>  Wed, 21 Aug 2019 19:51:47 +0100

libreoffice (1:6.3.0-0ubuntu3) eoan; urgency=medium

  * Fix Breaks / Replaces versions for libreoffice-help-common

  * debian/patches/fix-noto-sans-in-templates.diff:
    - Font family for Noto Sans is "Noto Sans" not "Noto Sans Regular/Bold"

  * debian/patches/replace-source-sans-in-templates.diff:
    - Source Sans Pro fonts are not available on Ubuntu, use Noto Sans instead

 -- Marcus Tomlinson <marcus.tomlinson@canonical.com>  Wed, 21 Aug 2019 11:56:17 +0100

libreoffice (1:6.3.0-0ubuntu2) eoan; urgency=medium

  * No-change rebuild for new EDS sonames.

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 19 Aug 2019 12:55:27 +0100

libreoffice (1:6.3.0-0ubuntu1) eoan; urgency=medium

  * New upstream release

  * Sync closer to Debian:
    - Merge libreoffice and libreoffice-l10n (LP: #1791943)
    - Minimize diff between Debian and Ubuntu packages

  * debian/patches/disable-failing-arm64-tests.diff:
    - Temporarily disable 2 failing tests on arm64

 -- Marcus Tomlinson <marcus.tomlinson@canonical.com>  Mon, 12 Aug 2019 09:44:58 +0100

libreoffice (1:6.3.0-2) unstable; urgency=medium

  * debian/control.in:
    - make -core Conflicts: against libreoffice-mysql-connector (<< 1:6.2.0~)
      (closes: #933835)

 -- Rene Engelhard <rene@debian.org>  Fri, 09 Aug 2019 19:20:41 +0200

libreoffice (1:6.3.0-1) unstable; urgency=medium

  * New upstream release
    - fixes CVE-2019-9850/CVE-2019-9851/CVE-2019-9852/CVE-2019-9853

  * merge from Ubuntu:
    - patches/fix-uicheck-tests-on-i386.patch: fix rounding errors on i386

  * debian/rules:
    - be consequent and disable mergelibs and -g on i386, too
    - disable running make check on mipsel, mips64el, armel, armhf

 -- Rene Engelhard <rene@debian.org>  Tue, 06 Aug 2019 19:44:20 +0200

libreoffice (1:6.3.0~rc2-1) unstable; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - remove build paths in test.jars Class-Path:

 -- Rene Engelhard <rene@debian.org>  Sun, 21 Jul 2019 19:55:13 +0200

libreoffice (1:6.3.0~rc1-2) unstable; urgency=high

  * mention fixed security bugs in 1:6.3.0~beta2-1
  * make upload urgency=high because of the above

  * debian/control.in:
    - move librelogo from Recommends to Suggests
    - bump math depends on fonts-opensymbol to >= 2:102.11

 -- Rene Engelhard <rene@debian.org>  Wed, 17 Jul 2019 06:12:01 +0200

libreoffice (1:6.3.0~rc1-1) unstable; urgency=medium

  * New upstream release candidate

  * upload to unstable

  * merge from Ubuntu:
    - debian/patches/fix-flaky-bridgetest.diff: add safer float
      comparisons to bridgetest equals() (LP: #1832360)

  * debian/control.qt5.in:
    - recommend qtgstreamer-plugins-qt5
  * debian/rules:
    - handle java version suffixes (strip them), e.g. "-ea"
    - disable vlc avmedia plugin (bitrotting, unsupported on linux,
      low popcon
  * debian/rules, debian/control.in:
      and merge -avmedia-gstreamer into -core now that it is the
      only alternative

 -- Rene Engelhard <rene@debian.org>  Sun, 07 Jul 2019 18:37:57 +0000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libreoffice-uiconfig-draw`.
